Fri Apr 02 13:36:08 2004  Balachandran  <bala@dre.vanderbilt.edu>

        * ACE version 5.4.1 released.

Fri Apr  2 13:05:56 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* NEWS:

	  Updated with the latest developments just prior to BFO.

Thu Apr  1 22:54:51 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release: 

	  Fixes from testing.

Thu Apr  1 18:03:10 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release: 

	  We now generate static project files for VC6, solution and
	  vcproj files for VC7 (for the whole of
	  ACE+TAO+CIAO). Additionally we also generate em3 files for the
	  whole of ACE. This is for the ACE distribution only. 

Thu Apr  1 10:21:31 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/SLEWorkspaceCreator.pm:

          Fixed a case error for the SlickEdit workspace creator.

Thu Apr  1 08:34:55 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where relative directory replacement wouldn't take
          place if the value contained the current directory plus additional
          subdirectories.  Also, if the relative directory were the same as
          the current directory the replacement would be invalid and
          wouldn't point to the correct directory.

Wed Mar 31 23:20:52 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * apps/JAWS3/bench/mkfiles.cpp:
        * apps/JAWS3/bench/rqfiles.cpp:
        * examples/APG/Naming/Makefile.nodelocal:


Wed Mar 31 18:08:48 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/bison.mpb:
        * bin/MakeProjectCreator/config/flex.mpb:
        * bin/MakeProjectCreator/config/lex.mpb:
        * examples/APG/Naming/Makefile.netlocal:
        * examples/APG/Naming/Makefile.netlocal_reader:
        * examples/APG/Naming/Makefile.nodelocal:
        * examples/APG/Naming/Makefile.nodelocal_shared:
        * examples/APG/Naming/Makefile.nodelocal_shared_reader:
        * examples/APG/Svc_Config/Makefile.dynamic:
        * examples/APG/Svc_Config/Makefile.static:
        * examples/APG/Timers/Makefile.singles:
        * examples/APG/Timers/Makefile.timers:
        * examples/APG/Timers/Makefile.upcall:

          More fuzz warnings.

Wed Mar 31 18:11:18 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Functor_String.h:
          Fixed compile problem in wchar builds

Wed Mar 31 11:46:48 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/fuzz.pl:

          Removed checks for certain things like OS.h inclusions and such
          since we may not have time to  fix them before the BFO. Once we
          clean the rest of the stuff for BFO, will add this back.

Wed Mar 31 17:31:54 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/platform_g++_common.GNU:
          Modified grep test for linker output so it will run correctly on
          Solaris.  Thanks to Andrew G. Harvey <agh@cisco.com> for
          discovering the problem and providing work arounds.  Also, thanks
          to Kitty for <kitty@dre.vanderbilt.edu> for recommending which
          one to use.

Wed Mar 31 14:43:48 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl:
        * ace/config-linux.h:
          Enable the usage of native recursive mutexes for the
          implementation of ACE recursive mutexes.  According to the
          README, ACE_HAS_RECURSIVE_MUTEXES should be defined for
          platforms where all mutexes are recursive. This seems a
          little bit counter intuitive, as it implies that recursive
          mutexes are supported by the platform.  But in reality, it means
          that all mutexes are recursive.

          Added ACE_HAS_NONRECURSIVE_MUTEXES, which, together with
          ACE_HAS_RECURSIVE_MUTEXES means the platform supports both
          recursive and non-recursive mutexes.  This maintains the default
          behavior on non-GNU/Linux platforms.  Thanks to Panagiotis Issaris
          <panagiotis.issaris@mech.kuleuven.ac.be> for this patch.

        * ace/README:
          Added documentation for ACE_HAS_NONRECURSIVE_MUTEXES.

        * THANKS:
          Added Panagiotis Issaris to the hall of fame.

Wed Mar 31 14:22:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_cygwin32.GNU:
        * include/makeinclude/platform_mingw32.GNU:
          Instead of that people when they need to have a different TCPU
          need to edit these files, made it so that we only default to
          TCPU=pentiumpro when it is not set yet. In the platform_macros.GNU
          people can now overrule this default.

Wed Mar 31 09:06:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted our change of
        Sun Mar 14 12:10:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.{h,cpp}:
        * ace/Select_Reactor_T.{cpp ,i}:
        * ace/Timer_Queue_Adapters.{h,cpp}:
        * ace/Timer_Queue_T.{h,i,cpp}:
        * ace/Timer_Wheel_T.cpp:
        * ace/Timer_Hash_T.cpp:
        * ace/Timer_List_T.cpp:
          Removed accessor for zero and max_time which where added in the commit
          above. We found that with some more complex TAO tests the linker was
          still having problems using the zero and max_time static members.

          As a different solution only for MinGW we define two static variables
          in the header file that use zero and max_time. With these two statics
          the linker can resolve these two members and we know don't get any
          linker problem anymore with MinGW. In case you had problems in your
          MinGW app, this patch also fixes the problems in your application
          without the need to change your app code.

          Thanks to Martin Corino <mcorino@remedy.nl> for figuring
          out the problem and making the patches.

Tue Mar 30 17:53:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/templates/sle.mpd:
        * bin/MakeProjectCreator/templates/sledll.mpt:
        * bin/MakeProjectCreator/templates/sleexe.mpt:
        * bin/MakeProjectCreator/modules/SLEProjectCreator.pm:
        * bin/MakeProjectCreator/modules/SLEWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/MWC.pm:
        * bin/MakeProjectCreator/modules/MPC.pm:
          Added a new MPC template for Visual SlickEdit 8.1. This template is
          not 100% ready yet, but hereby the first version so that workspaces
          and projects are generated for simple project types.

Mon Mar 29 20:52:22 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Functor_String.h:

          Fixed a typo.

Mon Mar 29 12:24:54 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * examples/Threads/manual_event.cpp (worker):
        * tests/Upgradable_RW_Test.cpp (run_main):
        * tests/Conn_Test.cpp (client): Changed the name "barrier"
          to "thread_barrier" to fix a problem with macro conflicts on
          certain OS platforms.  Thanks to Levente Torok <tealev@yahoo.com>
          for reporting this.

Mon Mar 29 17:02:33 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.h:
          Include Functor_T.h instead of Functor.h because of Bala changes of
          yesterday. This fixes the compile problems in the daily builds with
          this example

Mon Mar 29 08:03:08 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Modified the rules to ensure that generated files are made before
          attempting to build cpp files.  These rules will only be in effect
          when they are needed (ie. generated files are anything but source
          files).

Mon Mar 29 09:11:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ATM_Acceptor.h:
        * ace/ATM_Connector.h:
        * ace/ATM_QoS.h:
        * ace/ATM_Stream.h:
        * ace/Atomic_Op_T.h:
        * ace/Dump_T.cpp:
        * ace/Flag_Manip.cpp:
        * ace/Method_Request.h:
        * ace/Metrics_Cache_T.h:
        * ace/Refcounted_Auto_Ptr.i:
        * ace/SOCK.i:
          Added missing ace/ before some includes. Thanks to Roland Meub
          <Roland.Meub@tenovis.com> for reporting this.

        * ace/DEV.h:
        * ace/DEV_IO.h:
        * ace/SOCK.h:
        * ace/TTY_IO.h:
          Fixed some doxygen warnings.

Mon Mar 29 00:20:57 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Makefile.bor:

          Added Functor_String.h to the faily builds on Borland.

Sun Mar 28 23:44:51 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Functor.h:
        * ace/Functor_String.cpp:
        * ace/Functor_String.h:

          Removed inclusions of Functor_T.h. This is simply a brain dead
          way of doing things.

        * ace/Functor_T.h:

          Include Functor.h and Functor_String.h so that we get the
          specializations first.

        * ace/Hash_Map_Manager_T.h:
        * ace/RB_Tree.h:

          Include Functor_T.h. They don't have any purpose in life to
          include the specializations.

Sun Mar 28 13:39:56 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Capabilities.h:

          #included Functor_String.h to force compilers to use the
          specialization.

        * ace/ace_dll.dsp:

          Added the new functor specializations into the project files.

Sun Mar 28 19:07:44 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/notifytest.mpb:
          Updated name of NotifyTests library name, it should have TAO_ to
          match my update of today in the NotifyTests lib MPC file. This way
          this library has exactly the same name as in none mpc builds.

Sun Mar 28 12:16:41 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ACEXML/common/NamespaceSupport.i:

          Removed functors that were there in this file.

        * ACEXML/common/XML_Types.h:

          Forcibly include Functor_String.h to get the functors for
          ACE_CString and ACE_WString.

Sun Mar 28 12:14:05 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Functor_String.cpp:
        * ace/Functor_String.h:
        * ace/Functor_String.inl:

          Functors for ACE_CString and ACE_WString. They have been placed
          in seperate files to avoid coupling the rest of ACE (which uses
          Functor.h) with strings that could lead to increased
          footprints.

        * ace/Makefile.ace:
        * ace/ace.mpc:

          New files for building.

Sun Mar 28 15:31:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added some dsps to build first in a static build

Sun Mar 28 14:57:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/nightlybuilds/*:
          Removed all these files from the repo, these are already replaced a
          long time by the autobuild project.

Sat Mar 27 15:29:09 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tests/Multicast_Test_IPV6.cpp (leave): Replaced

          size_t size = 0;

          with

          size_t size = this->address_vec_.size ();

          Thanks to Johnny Willemsen for reporting this!

Fri Mar 26 14:15:44 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/idl_compiler.mpt:
        * bin/MakeProjectCreator/config/idl_compiler_win32.mpt:
        * bin/MakeProjectCreator/config/notify.mpb:
        * bin/MakeProjectCreator/config/qt-min.mpb:
        * bin/MakeProjectCreator/config/qt-min_moc.mpb:

          While playing around with ARMS repository, I accidentally added
          these files back into the repo. Removing them once again.

Thu Mar 25 11:58:46 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bmake.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:

          Fixed a bug in these templates where if a project had custom build
          rules, but no source files, the custom build rules would not be
          executed.

Thu Mar 25 09:10:44 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.h:

          Thanks to Martin Corino <mcorino@remedy.nl> for supplying patches
          that fixes build problems on non-pthread platforms.

Wed Mar 24 22:36:01 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/POSIX_Proactor.cpp:

          Fixed warning in g++ builds.

        * ace/Task.h (activate):
        * ace/Thread_Manager.cpp:
        * ace/Thread_Manager.h (spawn and spawn_n):

          Changed the default flags in the above methods. They now include
          THR_INHERIT_SCHED. This makes the defaults consistent with C++
          NPV1 and C++ NPV2. If a priority other than
          ACE_DEFAULT_THREAD_PRIORITY is passed into the <priority>
          argument, the THR_INHERIT_SCHED flag is dropped silently. This
          takes care of the problems reported by Abhijit Sachdev, which
          was basically a bug that prevented the priorities being
          inherited in thread-per-connection strategy.

          Thanks to Steve Huston for motivating the right fix that would
          not affect user code at all.

Wed Mar 24 16:41:29 2004  Steve Huston  <shuston@riverace.com>

        * ACE-INSTALL.html: Remove remaining reference to the "soft link"
          method of specifying a platform-specific config.h and
          platform_macros.GNU file. All instructions regarding these now
          use the preferred method - creating a local file and including
          the platform-specific one into it. Also cleaned up some old info.

        * PROBLEM-REPORT-FORM: Direct the user to not include an entire
          platform-specific config.h or platform_macros.GNU file. This is
          an effort to make submitted forms more concise and easy to read.

Wed Mar 24 07:25:19 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where settings were not being properly reset when
          processing a 'specific' section for one project and then
          processing other projects.

Tue Mar 23 22:13:01 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added new PortableInterceptors ORB::shutdown() regression test
          to the nightly build test runs.

Tue Mar 23 20:18:20 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * apps/gperf/README: Fixed the README file so it points to
          the right version of the GPERF paper.  Thanks to Eric Whorter
          <emcwhorter@rightnow.com> for reporting this.

Tue Mar 23 20:12:51 2004  Gautam Thaker  <gthaker@atl.lmco.com>

        * performance-tests/SCTP/Options_Manager.cpp (Options_Manager):
          Fixed two instances of array[strlen] = '\0'; to
          Fixed two instances of array[strlen - 1] = '\0';
          Thanks to andreas.koehler@sysde.eads.net for reporting this
          error.


Tue Mar 23 18:31:40 2004  Steve Huston  <shuston@riverace.com>

        * tests/SSL/Makefile:
        * tests/SSL/aix_hack_for_main.cpp: Added aix_hack_for_main.cpp to get
          something without templates to build first. This all helps Visual
          Age C++ on AIX deal with reality. Also see:
          Sat Dec  6 19:27:26 2003  Steve Huston  <shuston@riverace.com>

Tue Mar 23 07:22:33 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Export/Export.mpc:

          Simplified this mpc file.

        * examples/Export/dll.h:
        * examples/Export/dll.cpp:

          Fixed a problem with building on Windows with static libraries.
          Added an extern to the test_variable to stop duplicate symbols
          when building static libraries.  The extern does not have any
          adverse effects when building dynamic libraries.

Mon Mar 22 14:23:44 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-sunos5.7.h: Leave Solaris using the AIOCB proactor at
          all versions. None of them work very well, so just leave this one
          in place, as it imposes no signal restrictions on the application.
          The concurrent access of (via aio_suspend(), aiowiat(), etc.) and
          use of for I/O, aiocbs is really wreaking havoc with the proactor
          implementations, I'm afraid. I believe this is really going to need
          some serious work.

Mon Mar 22 13:30:53 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/rpc.mpb:

          Added the -C option to ensure that the generated code can be used
          by c++ compilers.  Also, changed the output source files and
          header files to fix a problem with make targets.

        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:

          Added a generated target to allow users to invoke a rule to
          produce just the generated files.

        * bin/MakeProjectCreator/templates/bmake.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:

          Fixed a bug in these templates where generated files (other than
          idl stubs) would not be created before attempting to build object
          files.

Mon Mar 22 14:10:12 2004  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Proactor.cpp: Fix "unused argument" warning. The code
          that really uses the signal_number argument _may_ need to be
          re-enabled again, so the name is left in the signature.

Mon Mar 22 13:45:19 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Timers/CB.cpp (handle_timeout): The reset_interval()
          call needs to happen whether ACE_NDEBUG or not; putting it in an
          ACE_ASSERT no-ops it out if ACE_NDEBUG.

Mon Mar 22 10:57:20 2004  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_Asynch_Stream.cpp:
        * ace/SSL/SSL_Asynch_BIO.cpp: Added #include "ace/OS_NS_string.h" to
          pick up missing symbols on AIX.

Sat Mar 20 22:25:07 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tests/Multicast_Test.cpp (leave): Replaced

          size_t size = 0;

          with

          size_t size = this->address_vec_.size ();

          Thanks to Valery Salamakha <ccapstan@bigpond.net.au>
          for reporting this!

Sat Mar 20 17:01:55 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Timer_Queue_Adapters.h:
        * ace/Timer_Queue_Adapters.i:

          Changes from the effect of the following change "Thu Mar 18
          22:47:05 2004 Balachandran Natarajan  <bala@dre.vanderbilt.edu>"

Sat Mar 20 18:45:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          When gendir is set, a \ must be added, not a /. This fixes
          problems in the Borland builds that where caused by the fact
          that the realclean didn't work and we did compile old generated
          files.

Sat Mar 20 11:15:19 2004  Olli Savia  <ops@iki.fi>

        * ace/Containers_T.cpp:
        * ace/Containers_T.i:
          Removed unnesessary LynxOS checks. LynxOS's updated compiler can
          handle these files correctly.

Fri Mar 19 08:33:01 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Fixed a bug where a command dependency would be placed upon
          generated files.  The full path to the command is not always
          supplied  during custom definition and thus dependencies couldn't
          be satisfied because the command doesn't necessarily exist in the
          current directory.

          The solution was to add a new custom definition keyword that
          allows the user to determine whether the command dependency should
          be generated or not.  The default is to not generate a command
          dependency.

        * bin/MakeProjectCreator/README:

          Documented the new 'dependant' keyword for custom definitions.

        * bin/MakeProjectCreator/config/ciao_servant.mpb:
        * bin/MakeProjectCreator/config/psdl.mpb:
        * bin/MakeProjectCreator/config/taoidldefaults.mpb:

          Set 'dependent' to 1 to ensure that the command dependency is
          generated for these custom definitions.

Thu Mar 18 22:47:05 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Task.cpp:
        * ace/Task.h:
        * ace/Thread_Manager.cpp:
        * ace/Thread_Manager.h:

          The following change has been reverted "Fri Mar  5 23:09:14 2004
          Balachandran Natarajan  <bala@dre.vanderbilt.edu>" . A better
          fix would be available soon. These fixes actually borke backward
          compatibility in a bad way.

Thu Mar 18 13:50:21 2004  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_IO.{h cpp}: The change in
          Thu Mar 11 14:35:41 2004  Steve Huston  <shuston@riverace.com>
          didn't go far enough... the problem exists in all derivatives of
          ACE_Asynch_Operation_Impl. Only ACE_Asynch_Operation deleted the
          implementation_ pointer in its constructor. However, since each
          derivative of ACE_Asynch_Operation was declaring its own
          implementation_ (in addition to the one in ACE_Asynch_Operation),
          no implementation was ever, in fact, being deleted. Hence:
            1. The ACE_Asynch_Operation::implementation_ member is removed,
               along with the void implementation(ACE_Asynch_Operation_Impl*)
               method that set it.
            2. The ACE_Asynch_Operation_Impl* implementation() method is now
               pure virtual in ACE_Asynch_Operation and must be implemented
               in each operation class.
            3. Each operation class needs to maintain its own appropriately
               typed implementation pointer, and delete it when necessary.
            4. The implementation(ACE_*_Impl*) methods are all removed, as
               none are necessary, and none are used any longer.
          The operation classes already were creating their own implementation
          objects, so that is the same now. However, they all now delete the
          implementation at destructor time.

Thu Mar 18 08:59:40 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:

          Removed an extraneous dash in the install target.

Wed Mar 17 21:00:36 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Global_Macros.h:
        * ace/config-aix-4.x.h:
        * ace/config-g++-common.h:
        * ace/config-win32-visualage.h:

          Added a new #define ACE_EXPLICIT_TEMPLATE_DESTRUCTOR_TAKES_ARGS
          and enabled this feature only on the above platforms. With g++,
          it is supported with g++ 3.4. This #define is used by
          ACE_DES_FREE_TEMPLATE3 declarations in Global_Macros.h. Thanks
          to Oliver Kellog for providing the patches.

        * ace/Task.h (activate):
        * ace/Thread_Manager.h (spawn):
        * ace/Timer_Queue_Adapters.h (activate):

          The last argument <inherit_priority> is now set to true as
          default. This will get the behavior that C++ NPV1 and NPV2
          prescribes. Thanks to Dr. Schmidt and Abhijit Sachdev for
          motivating this.

Wed Mar 17 17:55:49 2004  Steve Huston  <shuston@riverace.com>

        * ace/Proactor.cpp (ctor): Change the default proactor implementation
          to favor CB, then SIG, then AIOCB. The CB proactor works best on
          many platforms, avoiding multithread issues with aio_suspend() on
          most platforms other than HP-UX, and avoiding signal/thread mixes
          on as many platforms as possible because it raises so many problems.

        * ace/POSIX_CB_Proactor.{h cpp}: Remove __sun as a condition that
          prevents compilation of ACE_POSIX_CB_Proactor. Sun can do this
          proactor type just fine. Added an 'extern "C"' variant of the
          aio completion function for platforms (such as Solaris 8) that
          have ACE_HAS_SIG_C_FUNC.

        * ace/config-sunos5.7.h: For Solaris 7 and later, use the default
          proactor, ACE_POSIX_CB_Proactor.

        * ace/config-linux-common.h: Remove ACE_POSIX_AIOCB_PROACTOR setting.
          The AIOCB proactor doesn't work with multiple threads since the
          aio_suspend() call isn't multi-thread safe and ACE doesn't protect
          the aiocb list. The SIG proactor doesn't work before the 2.6 kernel
          because signals can't be queued across threads. CB works everywhere.
          Note though, that even at the 2.6 kernel, read/write to sockets (and
          some other things, I believe) get converted to blocking regardless of
          what the application does. Thus, the only way to use aio on Linux
          at this time is by ping-ponging, like the half-duplex mode in
          Proactor_Test. Not terribly useful...

        * tests/Proactor_Test.cpp:
        * tests/Proactor_Test_IPV6.cpp: Only allow the CB-type proactor for
          !__Lynx__. Lynx is the only remaining AIO-enabled platform for
          which this proactor type is not valid.

Wed Mar 17 13:54:41 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Logging_Strategy.cpp:

          Reverting this change since it breaks MSVC builds! Looks like
          VC6 is an old compiler wrt to ANSI C++ standards. Working things
          for g++ 3.4 needs to wait. "Tue Mar 16 10:48:48 2004
          Balachandran Natarajan  <bala@dre.vanderbilt.edu>".

Wed Mar 17 14:20:31 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-aix5.1.h: The AIO enable/disable check added at
          Mon Mar 15 15:42:33 2004  Steve Huston  <shuston@riverace.com>
          confuses the Visual Age C++ preprocessor. Rearrange it to use
          a temporary macro, _ACE_DISABLE_AIO_CALLS_ if we need to turn off
          ACE_HAS_AIO_CALLS after including config-aix-4.x.h.

        * examples/APG/Proactor/HA_Proactive_Status.cpp: Add #include
          "ace/Message_Block.h" so Visual Age C++ can see ACE_Message_Block.

Wed Mar 17 18:34:14 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Changed -c to -g, -c is used by other scripts for the config

Wed Mar 17 18:20:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Added -c commandline option. With this option you can say that the
          script has to look for a codeguard log. This log is placed in the
          same directory as the executable, with the same name but with a cgl
          extension. We use this for a new codeguard enabled BCB6 build.

Tue Mar 16 16:56:36 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * asnmp/tests/Gauge_test.cpp:
        * asnmp/tests/Counter_test.cpp:

          #ifdef'ed portions of the code which has no chances of compiling
          on Win32, since native support for the used basic types are
          missing. Changing the types to something else makes the test
          useless. Commenting it out for Win32 shouldn't hurt anyone.

Tue Mar 16 16:34:38 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * asnmp/tests/Varbind_Test.cpp:
        * asnmp/tests/Counter64_Test.cpp:

          #ifdef'ed portions of the code which has no chances of compiling
          on Win32, since native support for the used basic types are
          missing. Changing the types to something else makes the test
          useless. Commenting it out for Win32 shouldn't hurt anyone.

Tue Mar 16 10:48:48 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Logging_Strategy.cpp:

          Use std::streamoff () to get the offset instead of casting.

        * ace/Malloc_T.i:
        * ace/Strategies_T.cpp:

          #included OS_NS_string.h.

          Thanks to Oliver Kellog for providing the patches.

Tue Mar 16 09:40:36 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          When adjusting template values, based on the -value_template
          option, we must deal with them as arrays to maintain spaces within
          individual values.

Tue Mar 16 07:55:10 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Fixed a bug where workspaces that contain projects that depend
          upon projects outside the local directory would have invalid
          dependencies.

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Rewrote the 'if' handling code to be complete and support multiple
          or's, and's and not's.

Tue Mar 16 06:22:40 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Reverting my change from Mon Mar 15 08:31:05 2004.  It has
          undesirable effects in some situations.

Mon Mar 15 18:26:39 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Proactor/HA_Proactive_Status.h: Add #include
          "ace/Asynch_IO.h" so AIX Visual Age C++ can find things at
          template instantiate time.

Mon Mar 15 15:42:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-aix5.1.h: Set this up for use with AIX 5.2 as well.
          AIX 5.2 has POSIX AIO, but it's not run-time enabled by default.
          So, allow the user to turn it on, but leave it off by default.

        * ace/Asynch_Connector.cpp: Added #include "ace/OS_NS_sys_socket.h" and
          "ace/OS_Memory.h" to pick up needed definitions on AIX when Visual
          Age C++ is instantiating templates.

        * ace/POSIX_CB_Proactor.{h cpp}: Enabled use of the CB proactor on
          non-sgi, non-FreeBSD systems. AIX likes this proactor implementation.
          Also, fixed a mistaken timer setting where the number of desired
          milliseconds timeout was instead specified as number of seconds.

        * tests/Proactor_Test.{cpp, h}:
        * tests/Proactor_Test_IPV6.cpp: Moved the definitions of Sender
          and Receiver to a new file, Proactor_Test.h. This allows AIX Visual
          Age C++ to see the class definitions when instantiating templates.
          Removed the #ifdef __sgi around use of the CB proactor, as that
          is available and, indeed, works best, for AIX.

Mon Mar 15 13:42:13 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/CDR_Stream.cpp:

          Fixed a typo. Thanks to Andreas Koehler for pointing this out.

Mon Mar 15 17:21:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv2/WFMO_Reactor_Logging_Server.cpp:
          Fixed unused argument warning in MinGW builds. Thanks to
          Martin Corino <mcorino@remedy.nl> for fixing this.

        * examples/APG/Logging/Trace.h:
          In case ACE_NTRACE is set to 1 then TRACE_RETURN should
          return the given value instead of doing nothing. Thanks
          to Martin Corino <mcorino@remedy.nl> for finding this.

Mon Mar 15 10:01:43 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/BMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/CbxWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/EM3WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/HTMLWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VA4WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC6WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC71WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:

          Added information at the top of the generated workspace for these
          types.  The information includes the CVS $Id keyword, the command
          line options for MPC and a warning about directly editing the
          file.

Mon Mar 15 08:31:05 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Warn the user if the version of perl they are using is less than
          perl 5.6.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug with custom file types where header and inline files
          would not be considered as generated targets if matching generated
          source files were not explicitly listed.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Add the $(PATH) to VPATH when using custom commands in case the
          custom command does not have a path in the exe name, which will
          allow GNU Make to find the command and process the rule.

Sun Mar 14 15:44:41 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/APC.cpp:
        * examples/Reactor/WFMO_Reactor/Timeouts.cpp:
          Cancel scheduled timers before quitting. This fixes the access
          violations we see in the MinGW build when running these examples.
          Caused by the fact that the event handler is on the stack and so
          already destroyed when the singleton reactor is getting destroyed.
          Thanks to Martin Corino <mcorino@remedy.nl> with helping solving
          these crashes.

Sun Mar 14 14:21:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.cpp:
          Fixed typo which resulted in compile errors.

Sun Mar 14 12:52:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Registration.cpp:
          Fixed warnings in MinGW build

Sun Mar 14 12:48:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Network_Events.cpp:
          Fixed warnings in MinGW build

Sun Mar 14 12:44:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Abandoned.cpp:
          Fixed warnings in MinGW build

Sun Mar 14 12:41:52 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Handle_Close.cpp:
          Fixed warnings in MinGW build

Sun Mar 14 12:28:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/SPIPE_SAP/NPClient.cpp:
        * examples/IPC_SAP/SPIPE_SAP/NPServer.cpp:
          Fixed warnings in the MinGW build. Thanks to Martin Corino
          <mcorino@remedy.nl> for supplying the patches.

Sun Mar 14 12:18:16 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Window_Messages.cpp:
          Fixed warning in MinGW build.

Sun Mar 14 12:16:53 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Talker.cpp:
          Changed member initialization order to fix MinGW warning.

Sun Mar 14 12:12:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Exceptions.cpp:
        * examples/Reactor/WFMO_Reactor/Removals.cpp:
          Fixed warnings in MinGW build.

Sun Mar 14 12:10:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.{h,cpp}:
          MingW has a problem importing static class data members (even with
          --enable-auto-import) in case these members are referenced inside
          heavily nested template class methods. It is somehow related to
          optimization since with higher optim. levels more linking errors
          are detected as with lower optim. levels. Since this is something
          which is not going to be solved soon in the MingW environment and
          the number of affected members are relatively few and the possible
          fixes relatively simple (create accessor methods) we added accessor
          methods for the zero and max_time static members of ACE_Time_Value.

        * ace/Select_Reactor_T.{cpp ,i}:
        * ace/Timer_Queue_Adapters.{h,cpp}:
        * ace/Timer_Queue_T.{h,i,cpp}:
        * ace/Timer_Wheel_T.cpp:
        * ace/Timer_Hash_T.cpp:
        * ace/Timer_List_T.cpp:
          Use the accessor methods to get zero and max_time instead of the
          static public members.

          This fixes the link errors in the MinGW build. Thanks to
          Martin Corino <mcorino@remedy.nl> for figuring out the problem and
          making the patches.

Sun Mar 14 10:01:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Lib_Find.cpp (ld_find):
          When the dll is not found on win32, try again using ACE_DLL_PREFIX
          prefixed. With MinGW all dll's have lib prefixed and when the prefix
          wasn't attached by the user things failed. This fixes the DLL test
          problems in the MinGW build. Thanks to Martin Corino
          <mcorino@remedy.nl> for figuring this out and making the patch.

        * ace/config-win32-mingw.h:
          Removed setting of ACE_DLL_PREFIX, this is already done in
          Default_Constants.h

Sat Mar 13 18:25:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/OS/Process/process.cpp:
          Fixed warnings in MinGW build. Thanks to Martin Corino
          <mcorino@remedy.nl> for creating the patch.

Sat Mar 13 18:06:57 2004  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_g++_common.GNU:
        * ace/config-lynxos.h:
          Enabled implicit template instantiation for LynxOS 3.x.

Sat Mar 13 09:43:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Dirent_Test.cpp:
          The first step of this test is to test the selector. To test this the
          test uses Makefile as file to test for, but with the MPC builds we
          remove the file Makefile and generate the file GNUMakefile, so at the
          moment this tests runs there is no Makefile file and the test fails.
          Changed the test so that it uses Dirent_Test.cpp as filename, this
          is always there. Thanks to Martin Corino <mcorino@remedy.nl> for
          figuring out the problem.

Fri Mar 12 16:29:29 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/SString_Test.cpp:

          Fixed warnings in g++ builds.

Fri Mar 12 12:51:45 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Fixed a bug where circular dependencies could be added by the
          implicit dependency generation code due to path mismatches.

Fri Mar 12 13:33:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Prerun_State_Changes.cpp:
        * examples/Reactor/WFMO_Reactor/Timeouts.cpp:
          Added some ACE_UNUSED_ARGs to silence MinGW warnings

Fri Mar 12 13:20:14 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Active_Objects/active_objects.mpc:
        * examples/APG/Active_Objects/active_objects.mwc:
        * examples/APG/Config/config.mpc:
        * examples/APG/Config/config.mwc:
        * examples/APG/Containers/containers.mwc:
        * examples/APG/Logging/logging.mpc:
        * examples/APG/Logging/logging.mwc:
        * examples/APG/Misc_IPC/misc_ipc.mpc:
        * examples/APG/Misc_IPC/misc_ipc.mwc:
        * examples/APG/Naming/naming.mpc:
        * examples/APG/Naming/naming.mwc:
        * examples/APG/Proactor/proactor.mpc:
        * examples/APG/Proactor/proactor.mwc:
        * examples/APG/Processes/processes.mpc:
        * examples/APG/Processes/processes.mwc:
        * examples/APG/Reactor/reactor.mpc:
        * examples/APG/Reactor/reactor.mwc:
        * examples/APG/Shared_Memory/shared_memory.mpc:
        * examples/APG/Shared_Memory/shared_memory.mwc:
        * examples/APG/Signals/signals.mpc:
        * examples/APG/Signals/signals.mwc:
        * examples/APG/Sockets/sockets.mpc:
        * examples/APG/Sockets/sockets.mwc:
        * examples/APG/Streams/streams.mpc:
        * examples/APG/Streams/streams.mwc:
        * examples/APG/Svc_Config/svc_config.mpc:
        * examples/APG/Svc_Config/svc_config.mwc:
        * examples/APG/ThreadManagement/threadmgmt.mpc:
        * examples/APG/ThreadManagement/threadmgmt.mwc:
        * examples/APG/ThreadPools/threadpools.mpc:
        * examples/APG/ThreadPools/threadpools.mwc:
        * examples/APG/ThreadSafety/threadsafety.mpc:
        * examples/APG/ThreadSafety/threadsafety.mwc:
        * examples/APG/Threads/threads.mpc:
        * examples/APG/Threads/threads.mwc:
        * examples/APG/Timers/timers.mpc:
        * examples/APG/Timers/timers.mwc:
          Added missing Id tag

Fri Mar 12 06:18:32 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Added a missing space that broke things when idl files are
          involved.

Fri Mar 12 12:12:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Framework_Component_Test.cpp:
        * Max_Default_Port_Test.cpp:
        * Reactor_Exceptions_Test.cpp:
          The test_config.h file must be included as first file else we don't
          get log files in our SuSE 9 ACE build which has set ACE_NLOGGING.

Fri Mar 12 11:03:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Auto_IncDec_Test.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/Capabilities_Test.cpp:
        * tests/Get_Opt_Test.cpp:
        * tests/Log_Msg_Test.cpp:
        * tests/Logging_Strategy_Test.cpp:
        * tests/Max_Default_Port_Test_IPV6.cpp:
        * tests/Token_Strategy_Test.cpp:
        * tests/Obstack_Test.cpp:
          The test_config.h file must be included as first file else we don't
          get log files in our SuSE 9 ACE build which has set ACE_NLOGGING.

Thu Mar 11 17:00:14 2004  Steve Huston  <shuston@riverace.com>

        * ace/WIN32_Asynch_IO.cpp (handle_output): Be sure to unregister this
          handler from the asynch task before posting the completion. The
          completion handler may do anything, including delete the handler,
          before this method has a chance to remove it from the asynch task.

Thu Mar 11 14:35:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_IO.cpp (~ACE_Asynch_Connect): Delete the implementation_
          giving it a chance to unregister from the reactor and clean up
          anything else needed, as well a plug a memory leak.

Thu Mar 11 13:59:00 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bmake.mpd:

          Changed the custom rules to be more compact.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Made custom output files dependent upon the command that generates
          them.  Additionally, fixed a bug where generated source files
          would always be regenerated if idl files existed in the project.

Thu Mar 11 12:18:59 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Added a .PHONY target for each of the individual targets to avoid
          a possible problem if a file or directory exists with the same
          name as the target.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Remove duplicated mpc files when aggregating workspaces.  If an
          mpc file is added before a workspace is aggregated, the
          duplication can be detected.  If it happens the other way around,
          it can not and will be an error.

        * tests/tests.mpc:

           The UUIDTest requires ace_uuid.

Thu Mar 11 11:49:28 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/SString.cpp (substring):

          If the value of the length argument is greater than the size of
          the string, we made a mistake by setting the wrong length in the
          newly create SString object. Thanks to Michael Kircher
          <Michael.Kircher@mchp.siemens.de> for reporting this.

        * tests/SString_Test.cpp (run_main):

          Added a test for the above problem.

Thu Mar 11 11:16:13 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Generate workspaces that use directory recursion when the
          workspace contains targets within multiple directories.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Maintain directory groups when sorting dependencies.

Thu Mar 11 08:47:55 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/WIN32_Proactor.cpp (post_completion):
          ACE_WIN32_Proactor::post_completion executes these two
          operations in wrong order:

          1. If Proactor event is valid, signal it
          2. Post a completion

          If, for example, a Reactor is connected to the proactor through
          the event, it may receive the event notification BEFORE the
          completion has been posted, which is wrong.  To fix the problem,
          those two operations must be swapped: FIRST post a completion,
          THEN signal the event.  Thanks to Enrico Detoma
          <enrico.detoma@email.it> for reporting this.  This closes bugid
          1763.

Thu Mar 11 16:36:09 2004  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * tests/Semaphore_Test.cpp (worker):

          Fix a problem in counting the timeouts. if acquire == -1 then
          increment timeouts and check diff time against ACE_ALLOWED_SLACK

Thu Mar 11 07:10:15 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/String_Base.cpp (resize):

          Set release_ = 1, else we will start leaking memory. Thanks to
          Andrew G. Harvey <agh@cisco.com> for reporting the problem.

Thu Mar 11 06:42:19 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/Options.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/Version.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added a new option, -genins, that will generate install files
          after processing each project that can be used with
          prj_install.pl.

        * bin/prj_install.pl:

          This script reads .ins files generated by MPC and installs
          portions of a project into an alternate location.

Wed Mar 10 18:34:12 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/fuzz.pl:
          Changed the requried runlevel for check_for_include test.
          Also added support for the user to specify any single test
          to run by using the [-t test_name] argument option.

Wed Mar 10 18:54:01 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/configs/ciao_servant.mpb:

          Added cidlflags as a keyword. Thanks to Ed Mulholland for
          motivating  this.

Wed Mar 10 12:33:04 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/fuzz.pl:
          Added support for checking of
          "#include <(ace)|(tao)|(ciao)\/.*>" to avoid conflict
          with Doxygen.
          Thanks Don Hinton for the idea.

Wed Mar 10 11:39:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/INET_Addr.cpp (set (const sockaddr_in *addr, int len)): Check
          the specified length to be sure we don't overrun the structure the
          address is copied to. There's a bit of evidence from a customer
          suggesting that (Windows) GetAcceptExSockaddrs() may return an
          address length of the length passed to AcceptEx, and not the
          length of a sockaddr_in structure. This guards against that.

Wed Mar 10 11:29:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Task.cpp:
          Fixed unused parameter warning in single threaded builds

Wed Mar 10 10:16:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:
          Corrected end message

Wed Mar 10 10:07:54 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:
          Improved verbose output

Tue Mar  9 17:00:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/clients/Logger/direct_logging.cpp:
        * netsvcs/clients/Logger/indirect_logging.cpp:
          Fixed compile problems in wchar builds

Tue Mar  9 18:03:42 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Removed ACE_LACKS_INET_ATON.

        * ace/os_include/arpa/os_inet.h
          Added missing prototype inet_aton for LynxOS.

Tue Mar  9 09:22:19 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/POSIX_Proactor.cpp:

          Fixed a unused variable warning.

Tue Mar  9 14:31:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/run_test.pl:
          Improved this test script so that it outputs an error when the
          executable cannot be found, instead of just trying to spawn a non
          existent executable.

Tue Mar  9 08:01:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where generated files were not added to the list of
          output files for a custom command.

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added the ability to combine multiple workspaces into one by
          listing them within a workspace declaration.

Tue Mar  9 09:07:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/POSIX_Proactor.cpp:
          Added ACE_UNUSED_ARG to silence unused parameter warning

Tue Mar  9 09:03:04 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added an other dsp to build first

Tue Mar  9 08:25:15 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Readded ALIGNBYTES and ALIGN macros. LSOCK.cpp uses these
          which I missed due to macro expansion.

Mon Mar  8 18:03:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Queue_Adapters.i (activate): Remove erroneous
          ACE_UNUSED_ARG lines. Someone removed the arg names from the
          signature, making ACE_UNUSED_ARG unnecessary.

Mon Mar  8 17:03:18 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/AutomakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Changed the default behavior for all "make" based workspace
          creators such that the -hierarchy option is the default.  It is no
          longer necessary to pass the -hierarchy option when generating
          workspaces and projects of type make, bmake, borland, gnuace or
           nmake.

Mon Mar  8 11:38:43 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Time_Value.inl (set): Make sure to roundup the
          double value properly.  Thanks to James Hu for suggesting the
          fix and for Mikael Lundqvist <programmer_71@hotmail.com>
          for reporting it.

Mon Mar  8 15:52:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Asynch_IO.{h cpp}: Added ACE_POSIX_Asynch_Read_Dgram and
          ACE_POSIX_Asynch_Write_Dgram functionality. These were previously
          left as "not supported". The functions don't offer the
          immediate-success feature available on Windows, and the Dgram
          socket must be "connected" as there's no address-specification
          feature available in the asynch IO facility on POSIX.

        * ace/POSIX_Proactor.cpp: Comment out the signal setup; this should
          not be necessary and, indeed, is erroneous, at least on Linux.
          It's commented out instead of removed in case further testing on
          other platforms determines that it is needed sometimes.

Mon Mar  8 13:48:06 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * NEWS:

          Added a NEWS file which tracks user visible changes between
          every beta. Thanks to Olli Savia and Gary Duzan for motivating
          this.

Mon Mar  8 13:18:13 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Timer_Queue_Adapters.h:
        * ace/Timer_Queue_Adapters.i:

          Fixed warnings for the SunCC compiler.

Mon Mar  8 20:32:35 2004  Olli Savia  <ops@iki.fi>

        * ACE-INSTALL.html
          Updated LynxOS section.

Mon Mar  8 20:21:15 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Added correct handling of ACE_NEEDS_IPC_1C_H for different
          LynxOS versions.

          ACE_HAS_TERM_IOCTLS is now enabled for all LynxOS versions.

          Moved missing prototype declaration of pthread_sigmask to
          os_signal.h.

          Removed unneeded ALIGNBYTES and ALIGN macros.

        * ace/os_include/os_signal.h
          Added missing prototype declaration of pthread_sigmask.

Mon Mar  8 18:34:09 2004  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * ace/Process_Semaphore.cpp:
        * ace/Process_Mutex.inl:
        Added SEM_UNDO when using SysV Semaphore Complex methods.
        That fixes bug 1153 thanks to Frank Kuhlmann <kuhlmann@materna.de>

Mon Mar  8 16:33:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/tests/tests.mpc:
        * ASNMP/asnmp/asnmp.mpc:
        * ASNMP/examples/get/get.mpc:
        * ASNMP/examples/next/next.mpc:
        * ASNMP/examples/set/set.mpc:
        * ASNMP/examples/trap/trap.mpc:
        * ASNMP/examples/walk/walk.mpc:
          Added missing file extensions. This prevented resulted in project
          files that did nothing.

Mon Mar  8 16:14:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Thread_Manager.cpp:
          Rewrote the retrieval of the thread priority so that we don't
          have to do a static_cast. The BCB compiler doesn't allow this
          cast.

Mon Mar  8 13:57:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/TkReactor_Test.cpp:
          Fixed compile errors. Thanks to Robert Schiele
          <robert.schiele@t-online.de> for reporting this.

Sun Mar  7 18:35:15 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Removed unneeded ACE_LACKS_MKTEMP macro.

        * ace/os_include/os_stdlib.h
          Added missing mktemp() prototype for LynxOS 3.x.x

Sun Mar  7 17:29:33 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Removed some unneeded ACE_LACKS_* macros.

        * ace/os_include/os_stdlib.h
        * ace/os_include/os_strings.h
          Added missing prototypes for LynxOS 3.x.x

Sat Mar 06 12:48:39 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Thread_Manager.cpp:

          Fixed a compilation error on Win32.

Fri Mar  5 23:09:14 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_sys_socket.inl (closesocket):

          Win32 distinguishes between shutting down a socket connection
          and closing a socket.  Therefore call shutdown on the socket
          before closing down the socket. Thanks to Kitty for digging up
          the MSDN documentation and the patch.

        * ace/Task.cpp (activate):
        * ace/Task.h (activate):

          Added an extra argument, inherit_priority which tells the thread
          manager to inherit the priority of the calling thread or use the
          priority passed in.

        * ace/Thread_Manager.cpp:
        * ace/Thread_Manager.h (spawn, spawn_n, spawn_i):

          Added an extra argument, inherit_priority which tells the thread
          manager to inherit the priority of the calling thread or use the
          value of the priority passed in. This argument is set to false
          by default, which would retain the classical behaviour.

          Thanks to Abhijit Sachdev <abhi@qualcomm.com> for reporting the
          bug. Thanks to Dr. Schmidt and Kitty for motivating me to add
          the fix in ACE.

          I am not still certain whether the above fix is okay. Folks who
          call ACE_Thread::spawn* and ACE_OS::thr_create () will not get
          this feature. Still wondering whether we should propogate this
          feature down to ACE_Thread or ACE_OS level. Willing to hear any
          advise or motivation on this.

        * ace/Thread.cpp:

          Cosmetic formatting fixes.

        * ace/os_include/os_langinfo.h:
        * ace/os_include/os_spawn.h:

          Fixed typos in the included file names. Thanks to Robert
          Schiele<robert.schiele@t-online.de> for reporting the problem.

Fri Mar  5 18:12:24 2004  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_Acceptor.cpp (open): If any of the steps in the open fail,
          close the socket and reset listen_handle_ to ACE_INVALID_HANDLE
          before returning. Also added ACE_LIB_TEXT around the naked literal
          strings for ACE_ERROR.

Fri Mar  5 22:56:45 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Converted it back to unix file by running dos2unix.  Added -*-
          Makefile -*- to top of file.

Fri Mar  5 16:56:25 2004  Yamuna Krishnamurthy  <yamuna@oomworks.com>

        * bin/tao_other_tests.lst:

          Replaced the string 'RTP/UDP' with 'RTP_UDP' where specified as
          a command line argument to the AVStreams tests run_test.pl. This
          was to ensure that the '/' in the string does not confuse the
          script parser. This should fix the run time errors in the
          builds.

Fri Mar  5 12:14:56 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/mfc.mpb:

          Set the ACE_HAS_MFC to 1 instead of just defining it.

        * bin/MakeProjectCreator/config/notifytest.mpb:
        * bin/MakeProjectCreator/config/rtnotify.mpb:

          Switched these projects to use notification instead of notify.
          The notify base project only inherited from notification and
          provided nothing else.

        * bin/MakeProjectCreator/config/notify.mpb:

          Removed this file.

Fri Mar  5 10:56:35 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          More code optimizations.  A significant time reduction has
          occurred with the use of -hierarchy.

Fri Mar  5 09:47:55 2004  Olli Savia  <ops@iki.fi>

        * ACE-INSTALL.html
          Updated LynxOS section and fixed some HTML errors.

        * include/makeinclude/platform_lynxos.GNU
          Compile flag -Wall is now used on all versions of LynxOS.

Fri Mar  5 01:41:54 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * ace/Node.h:
          Added forward declaration for ACE_Unbounded_Queue_Const_Iterator.

        * include/makeinclude/rules.bin.GNU:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/rules.local.GNU:
          Moved the IDL_SRC dependencies from rules.local.GNU to the bin
          and lib files to get around a problem with hand crafted makefile
          rules including all dependencies in the link line.

Thu Mar  4 17:45:29 2004  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix_ibm.GNU: For AIX 5.2, add a compile
          flag, -U__C99_RESTRICT, to work around a compiler problem that is
          tickled by aio.h. This can be removed when IBM supplies a compiler
          fix for Visual Age C++, which they intend to do in May 2004.

        * ace/POSIX_Asynch_IO.cpp: Add #include "ace/ACE.h" to see
          ACE::set_flags(), and "ace/OS_NS_sys_stat.h" to see
          ACE_OS::filesize() on AIX.

Thu Mar  4 07:39:52 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Node.h: Added ACE_Unbounded_Queue_Const_Iterator as a
          friend to ACE_Node.  Thanks to Matthew Harris
          <mharris@hynomics.com> for reporting this.  This closes BUGID
          1759.

Thu Mar  4 16:14:04 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed an infinite loop introduced by the previous change.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added progress indication when writing out workspaces.

Thu Mar  4 13:19:06 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/DependencyGenerator/Preprocessor.pm:
        * bin/depgen.pl:

          Added an option to exclude dependency information from user
          specified files.

        * include/makeinclude/rules.local.GNU:

          Added the option to exclude dependencies found from config.h to
          avoid pulling in files such as config-linux.h, config-sunos5.6.h,
          etc.

        * bin/g++dep:

          Added an option to be compatible with depgen.pl.

Thu Mar  4 11:17:27 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/AutomakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/BMakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:

          Removed extraneous calls to sort.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateInputReader.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          More code optimizations for an additional 8% performance increase.

Thu Mar  4 07:59:15 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-lynxos.h:
        * include/makeinclude/platform_lynxos.GNU:

          Enable alloca for LynxOS and remove the -ansi option from CCFLAGS
          (which allows users to use alloca).  Thanks to Olli Savia
          <ops@iki.fi> for providing this patch.

Thu Mar  4 06:39:11 2004  Olli Savia  <ops@iki.fi>

        * tests/Max_Default_Port_Test_IPV6.cpp
          Fixed compile error on LynxOS.

Thu Mar  4 04:28:53 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/rules.local.GNU:
          Added a dependency rule that all objects depend on IDL_SRC, if
          it is defined.  This makes more sense that having the resulting
          lib or exe dependent since it's the objects that use them, or
          more precisely, the cpp's include the headers, etc...  Thanks to
          Bala for motivating this.

Thu Mar  4 01:30:45 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/wrapper_macros.GNU:
          Rolled back change: Tue Mar  2 23:57:29 UTC 2004  Don Hinton
          <dhinton@dre.vanderbilt.edu>. Apparently, some compilers need
          things like -I, etc..., when dealing with templates at link
          time.  After the BFO release, we may try to determine who needs
          what, but since it isn't critical path, I've rolled it back.
          Thanks to Steve Huston from pointing this out.

Wed Mar  3 13:06:59 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Put in some more optimizations that make MPC about 9% faster.
          Also, fixed a problem with generating implicit project
          dependencies too many times when the -hierarchy option is used.

Wed Mar  3 16:58:16 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/rules.nested.GNU:
          Don't use the "-C" option when invoking make recursively, use
          the "cd subdir && make ..." variant instead.  This fixes a
          compatibility problem Clearmake.  Thanks to "Pai, Ganesh"
          <GPai@sonusnet.com> for this suggestion.

Wed Mar  3 13:43:17 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:
          Use a variable $TARGET_SEP instead of '-' to seperate the
          project name from the target.  Thanks to Chad Elliott
          <elliott_c@ociweb.com> for reporting the problem.

Wed Mar  3 07:42:54 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/StringProcessor.pm:

          Rewrote my optimization from Tue Mar  2 12:28:09 2004 such that
          escaped double quotes are preserved.

Wed Mar  3 07:08:11 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          When dealing with template's, we need to take into account the
          possibility of windows absoulte paths (eg. c:\foo\gnu.mpd).

Tue Mar  2 20:03:43 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_unistd.h (rmdir):
        * ace/OS_NS_unistd.inl (rmdir):

          Added ACE_OS::rmdir() implementation submitted by Andrew
          T. Finnell <andrew@activesol.net>.  [Bug 1409]

Wed Mar  3 03:23:35 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:
          Add a reverseclean target that only has a realclean dependency,
          so that callers expecting a reverseclean target will get still
          work.  Since reverseclean is not implemented in normal
          makefiles, just in top level ones, this target must be handled
          explicitly.  A lot of autobuilds still call reverseclean.

Tue Mar  2 18:59:53 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/StringProcessor.pm:

          Reverted my change from Tue Mar  2 12:28:09 2004 which broke in
          certain usages.

Tue Mar  2 18:36:08 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/TMCast/TMCast.mpc:

          Fixed the requires by removing the comma.

Tue Mar  2 23:57:29 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:
          Added a check for "ciao" that mimics the behavior of
          already in place for tao.  This will enable us to know
          if it's a ciao project so we can include a ciao specific
          rules file.

        * bin/MakeProjectCreator/modules/Parser.pm:
          Output the name of the file that can't be opened
          instead of just saying unable to read.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
          Don't always tack on a file extension.  This was particularly
          vexing when trying to pass a different template file.
          This way, you can let your shell complete the file name
          that you find without having to hit the delete key 5 times.

          Allow calls to pass the absolute path--just easier for
          scripts to handle.

        * include/makeinclude/wrapper_macros.GNU:
          Removed $(CCFLAGS) $(CPPFLAGS) from the link step.  Thanks
          to Boris Kolpackov <boris@dre.vanderbilt.edu> for pointing
          this out.

        * include/makeinclude/rules.local.GNU:
          Make sure assignments to CLEANUP_OBJS is always additive.

        * include/makeinclude/platform_chorus.GNU:
        * include/makeinclude/platform_chorus4.x_g++.GNU:
        * include/makeinclude/platform_freebsd.GNU:
        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_lynxos.GNU:
        * include/makeinclude/platform_macosx.GNU:
        * include/makeinclude/platform_macosx_panther.GNU:
        * include/makeinclude/platform_openbsd.GNU:
        * include/makeinclude/platform_psosim_g++.GNU:
        * include/makeinclude/platform_qnx_neutrino.GNU:
        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
        * include/makeinclude/platform_sunos5_g++.GNU:
        * include/makeinclude/platform_unixware_g++.GNU:
          Don't always include -pipe in CFLAGS, let users
          control it with the pipes option.

Tue Mar  2 18:46:11 2004  Steve Huston  <shuston@riverace.com>

        * tests/SSL/Thread_Pool_Reactor_SSL_Test.cpp:
        * tests/RMCast/RMCast_Fragment_Test.cpp:
        * tests/RMCast/RMCast_Reassembly_Test.cpp: Added #include
          "ace/OS_NS_string.h" to get missing ACE_OS methods on AIX.

        * tests/RMCast/RMCast_Retransmission_Test.cpp: Added #include
          "ace/ACE.h" to get missing methods on AIX.

Tue Mar  2 23:40:42 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/create_ace_build.pl:
          Don't remove files with the .exp extension from the list
          of files used to create a workspace since they are used
          by the gperf tests and will break autobuilds that use
          this script.

Tue Mar  2 23:26:28 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/g++dep:
          Added the -MG option so that missing dependency files won't
          cause g++ to stop processing.  Thanks for Steve Huston for
          pointing this out.

          Modified the sed script that modifies the output to correctly
          blow away only the platform specific config file.  This was
          needed since we now have config-all.h and config-lite.h.  Thanks
          to Bala for pointing out the problem.

        * ace/Makefile.ace:
        * ace/RMCast/Makefile:
          Updated dependencies.

Tue Mar  2 23:12:17 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * tests/Dirent_Test.cpp:
          Fixed the CVS Id tag.

Tue Mar  2 22:58:40 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:
          Rewrote the output generation to be more human readable
          by using standard makefile techniques.  Also, discovered
          a bug in the dependencies (that was also present prior
          to this change) since it's now easier to grok the
          generated makefile.  I'll fix it once I've checked in
          all the other MPC changes in my queue.

Tue Mar  2 12:28:09 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bmake.mpd:
        * bin/MakeProjectCreator/templates/bmakedllexe.mpt:
        * bin/MakeProjectCreator/templates/bmakelibexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/nmakeexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc6dspdllexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplibexe.mpt:
        * bin/MakeProjectCreator/templates/vc7.mpd:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:
        * bin/MakeProjectCreator/templates/vc7libexe.mpt:

          Allow the user to generate projects with executable names with a
          modifier for different configurations similar to the library
          modifier for debug/release.  To enable this add '-value_template
          use_modifier=1' to your MPC command line.

Tue Mar  2 12:33:51 2004  Steve Huston  <shuston@riverace.com>

        * m4/compiler.m4: Added HPUX_VERS to HP-UX compiler options, and
          -D_HPUX_SOURCE to aC++ options. This mirrors what the traditional
          platform options do.

Tue Mar  2 11:16:03 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/BMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:

          Avoid looping and using substr to count instances of '/', use tr
          instead.

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/FeatureParser.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/StringProcessor.pm:
        * bin/MakeProjectCreator/modules/TemplateInputReader.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:

          Performed various optimizations to gain roughly a 10% increase in
          performance.

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Rewrote the workspace generation code to be similar to the other
          make based creators and reduced the size of the generated
          workspace.

        * bin/MakeProjectCreator/modules/Version.pm:

          Incremented the version number.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Fixed two bugs in the workspace creator:

          1) Using implicit as a scoped assignment caused project files to
             be added multiple times which is an error.
          2) When a project name with characters that could be special
             characters in regular expressions are not used within a
             workspace, but are referenced by other projects, the code
             would bomb out.

Mon Mar  1 18:03:22 2004  Steve Huston  <shuston@riverace.com>

        * tests/Multicast_Test_IPV6.cpp: Added #include "ace/Min_Max.h" to
          see ACE_MIN, ACE_MAX.

Mon Mar  1 22:50:51 UTC 2004  Craig Rodrigues  <crodrigu@bbn.com>

        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp:
          Fix this test so that it actually reports
          multiple interfaces properly.

Mon Mar 01 14:54:14 2004  Irfan Pyarali  <irfan@oomworks.com>

        * tests\MT_Reference_Counted_Notify_Test.cpp (Simple_Event_Handler):
        * tests\Timer_Queue_Reference_Counting_Test.cpp (Simple_Event_Handler):

          Removed asserts in add_reference() and remove_reference() for
          event handlers not participating in reference counting.

Sun Feb 29 14:45:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          When building a static build, add always the staticflags flags
          to the CPPFLAGS. Previously we did this only when building the
          libraries, but then the executables get link errors. This fixes
          compile problems when using Cygwin or MinGW in a static build.

Sun Feb 29 14:04:41 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Framework_Component_DLL_Export.h:
          Added check for ACE_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Sun Feb 29 13:59:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Synch-Benchmarks/Synch_Lib/export_mac.h:
          Added check for ACE_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Sun Feb 29 09:53:15 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added an other dsp to build first

Sat Feb 28 15:56:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added more dsps that must be build first

Fri Feb 27 12:33:10 2004  Irfan Pyarali  <irfan@oomworks.com>

        * ace/Event_Handler.cpp (add_reference and remove_reference):

          Previously, add_reference() and remove_reference() were called
          on a event handler only if the reference counting policy was
          enabled.  Unfortunately, this meant that at every place where
          add_reference() and remove_reference() were called, a check had
          to be made to see if the reference counting policy was enabled.
          It also meant that Event_Handler_var class could not be used
          with event handlers that do not enable the reference counting
          policy since the Event_Handler_var class was calling
          add_reference() and remove_reference() without checking the
          reference counting policy.

          So I modified the add_reference() and remove_reference() methods
          so that they check perform the necessary check for the reference
          counting policy.  This way the Event_Handler_var can be used
          without concern for whether the event handler has the reference
          counting policy enabled. Similarly, add_reference() and
          remove_reference() can also be called without concern for
          whether the event handler has the reference counting policy
          enabled.  Only in some places in the ACE library,
          remove_reference() cannot be called on the event handler because
          it might have been closed.  Therefore, an explicit check for the
          reference counting policy still needs to be performed.

          Reference counting in the following files was made simple
          because of above change:

          - ace/Select_Reactor_Base.cpp
          - ace/Select_Reactor_T.cpp
          - ace/Timer_Queue_T.cpp
          - ace/WFMO_Reactor.cpp

          The tests/Reference_Counted_Event_Handler_Test.cpp test was
          extended to check this change.

          Thanks to Dom Monteiro <d.monteiro@netia.net> and Liat
          (vliat1@hotmail.com) for pointing out this problem.

Fri Feb 27 11:20:30 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Change the way lines are read so line continuation (ending a line
          in \) would work uniformly within mpb, mpc and mwc files.

Fri Feb 27 08:51:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where 'specific' assignments were always added to
          existing values.  It did not allow for straight assignments or
          subtractions.  Now, specific assignments (additions and
          subtractions) are processed as they are read instead of at the end
          of the project.

Fri Feb 27 11:34:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/compiler.bor:
          When doing a release build with BCB5 also don't use -O2. Thanks
          to Andreas Wagner <awagner@ls-wagner.de> for reporting this. This
          fixes bug [1754].

Fri Feb 27 09:02:07 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.h:
          Fixed definition fsync to fix linker errors in the msvc6
          static builds.

Thu Feb 26 18:08:19 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Reactor/Client.cpp: Add missing #include
          "ace/OS_NS_string.h" to get ACE_OS::strlen().

Thu Feb 26 18:02:41 2004  Steve Huston  <shuston@riverace.com>

        * m4/tls.m4: Add handling for ACE_TLS_LDFLAGS so user can specify
          linker options (e.g. -L) necessary to find SSL libs.

Thu Feb 26 12:26:28 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/Makefile.am (Bug_1576_Regression_Test):

          Added this test to the list of tests.  It was missing.  Thanks
          to Kevin Stacy <kevin_405@yahoo.com> for reporting the problem.

        * tests/DLL_Test.cpp (dynamic_cast_test):

          Corrected spelling in error message.

        * THANKS:

          Added Kevin Stacy to the hall of fame.

Thu Feb 26 10:54:42 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Makefile:

          Removed the CIAO_Core target, since it was brain dead in the
          first place. Thanks to Ed Mulholland for motivating this.

Thu Feb 26 11:15:39 2004  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp: In declaration of
          ACE_Output_Handler, add "using ACE_Service_Handler::open;" before
          declaring the override of it. Helps to disambiguate which open()
          we mean, ACE_Task::open(), or ACE_Service_Handler::open(). Sun
          Forte 8 complained about this ambiguity. Thanks to Johnny Willemsen
          for reporting this and working on a fix.

Wed Feb 25 13:11:47 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_unistd.inl: Added support for ACE_OS::fsync().
          Thanks to Michel Drapeau <michel.drapeau@asdfsadfh.com> for
          reporting this.

Wed Feb 25 16:37:11 2004  Steve Huston  <shuston@riverace.com>

        * tests/Proactor_Test_IPV6.cpp: Fixed problem introduced in change
          earlier today.

Wed Feb 25 11:39:38 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/codecs.mpb:

          Removed unnecessary macros.  I missed this one in the previous
          commit.

Wed Feb 25 11:28:11 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_unistd.inl:

          If ACE_HAS_CLOCK_GETTIME is defined, use nanosleep() in
          ACE_OS::sleep (const ACE_Time_Value &tv) as is used in
          the other version, ACE_OS::sleep (u_int seconds).

        * ace/other.mpb:
        * ace/uuid.mpb:

          Removed unnecessary macros.

Wed Feb 25 12:09:31 2004  Steve Huston  <shuston@riverace.com>

        * tests/Proactor_Test_IPV6.cpp: Fixed problems with mismatched
          char/wchar_t usage.

Wed Feb 25 10:43:32 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-lynxos.h:

          Fixed the portion of the header that determines whether we are
          building on LynxOS 4.0.x or not.  Thanks to Olli Savia
          <ops@iki.fi> for reporting this problem and testing my changes on
          LynxOS 3.1.0.

Tue Feb 24 17:31:22 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Reactor/Client.cpp: Fixed manipulation and iterations_
          count and way that memory is copied into a new ACE_Message_Block.
          Thanks to Karen L. Regner <karen.regner@swri.org> for reporting
          these problems.

        * THANKS: Added Karen Regner to the Hall of Fame.

Tue Feb 24 17:22:45 2004  Steve Huston  <shuston@riverace.com>

        * ace/Message_Block.h: Fixed up some of the documentation; clarified
          that the data buffer given to a constructor is not copied anywhere,
          but referenced.

Tue Feb 24 18:57:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added another dsp that must be build first

Tue Feb 24 18:13:19 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test{h,cpp}:
          Fixed compile problems in wchar builds

Tue Feb 24 17:58:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Hash_Map_Manager_T.{h,i}:
          Added protected accessor methods cur_size and table. People which
          create a derived class can use these accessors. Thanks to Ganesh Pai
          <GPai@sonusnet.com> for the idea.

Tue Feb 24 17:34:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Synch-Benchmarks/Perf_Test/Adaptive_Lock_Performance_Test_Base.h:
        * performance-tests/Synch-Benchmarks/Perf_Test/adaptive_mutex_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/adaptive_recursive_lock_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/adaptive_sema_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Benchmark_Performance.{h,cpp}:
        * performance-tests/Synch-Benchmarks/Perf_Test/guard_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test.{h,cpp}:
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test_Options.{h,cpp,i}:
        * performance-tests/Synch-Benchmarks/Perf_Test/pipe_proc_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/pipe_thr_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/sysvsema_test.cpp:
          Fixed compile problems in wchar builds

Tue Feb 24 07:49:17 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:

          Added a fill_value() template value called mpc_files which returns
          an array of mpb files and the mpc file that is currently being
          processed.

        * bin/MakeProjectCreator/modules/HTMLProjectCreator.pm:

          Fixed a divide by zero error that would arise when there is no
          inheritance at all.

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/templates/bmake.mpd:
        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/html.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/va4icc.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Added a new keyword called pure_libs which is similar to lit_libs
          however no file extension is added to the name.  So, it is
          expected that the user will provide the complete library name when
          using pure_libs.

Mon Feb 23 16:57:19 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_unistd.inl (write): On Windows with overlapped mode in
          an error condition, need to use ACE_FAIL_RETURN, not naked return,
          to properly set errno to GetLastError.

Mon Feb 23 17:33:04 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added some more project files that must be build first

Mon Feb 23 16:08:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE_export.h:
          When using Cygwin and MinGW GCC version 3.3.1 or later we get dozens
          of warnings about methods that are defined locally after being
          referenced with dllimport. So, when using Cygwin or MinGW, when
          building with inlining enabled, make sure the methods in the ACE_OS
          namespace are marked as inline and not with dllimport. This fixes
          the warnings in the ACE_OS namespace but not the warnings in all
          other places. Thanks to Wu Yongwei <adah@netstd.com> for sending
          a fix for this.

Mon Feb 23 07:03:11 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/templates/html.mpd:
        * bin/MakeProjectCreator/modules/HTMLProjectCreator.pm:
        * bin/MakeProjectCreator/modules/HTMLWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/modules/MPC.pm:
        * bin/MakeProjectCreator/modules/MWC.pm:

          Added Justin Michel's HTML workspace and project creator and put
          in many enhancements including an inheritance hierarchy display
          and information from the MPC templates (when used with the -ti
          option).

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Provide the full file names to the base projects and let the
          individual project creators deal with that.

        * bin/MakeProjectCreator/modules/VA4ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC6ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:

          Removed the unused separate_static_project() method.

        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:

          Renamed some temple variables.

Sat Feb 21 14:24:20 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * include/makeinclude/platform_macosx_panther.GNU:

          Added -mpcpu=G3 and -mtune=G4 to OCFLAGS. Mac OS X 10.3 requires
          a PowerPC G3 chip and hence this isn't adding any restrictions
          to ACE/TAO that the target platform doesn't already have for
          itself.  Thanks to Thomas Costa <oohrah@mac.com> for the
          patches.

Sat Feb 21 19:56:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added some more project files that must be build first when doing
          at full static build.

Sat Feb 21 19:49:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Build FaultTolerance.dsp after FTORB_Utils and PortableGroup

Sat Feb 21 15:14:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/tests/EDF/test.cpp:
          Fixed compile problem in wchar build.

Sat Feb 21 15:08:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Synch-Benchmarks/synch_driver.cpp:
          Fixed compile problem in wchar build.

Sat Feb 21 08:33:55 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/DEV_IO.i (recv_n):

          Using ACE::recv_n () created problems on Win32 serial port
          code. Now we call recv_n () on all platform on all platforms but
          Win32. On Win32 we call read_n () which works. Thanks to Philip
          Miller <pwmiller@sarnoff.com> for reporting the problem.

Sat Feb 21 08:30:53 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/CDR_Base.h:
        * ace/CDR_Base.cpp:
          Reverted this change "Fri Feb 20 17:14:46 2004  Irfan Pyarali
          <irfan@oomworks.com>" as I work about a way to handle
          this.

Fri Feb 20 18:21:39 2004  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
          AC_Input_Handler::close() should accept a u_long, not u_int, to
          properly override ACE_Svc_Handler::close().
          AC_CLD_Connector::connect_svc_handler() first arg is a
          ACE_Svc_Handler*&, not ACE_Svc_Handler*, to properly override
          ACE_Connector::connect_svc_handler().
          Thanks to Johnny Willemsen for pointing these out.

Fri Feb 20 17:14:46 2004  Irfan Pyarali  <irfan@oomworks.com>

        * ace/CDR_Base.{h,cpp} (NonNative LongLong and LongDouble):

          Added assignment operators for these two types.

        * ace/CDR_Stream.cpp (read_16):

          The function for reading a longdouble was adjusting and aligning
          the buffer to longlong size rather than to longdouble size.

Fri Feb 20 17:12:14 2004  Yamuna Krishnamurthy  <yamuna@oomworks.com>

        * bin/tao_other_tests.lst:

          Modified script to run Pluggable and Simple_Two_Stage tests with
          SCTP_SEQ transport protocol only when the SCTP config flag is
          set.

Fri Feb 20 21:18:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Static_Performance.dsw:
        * netsvcs/clients/Naming/Dump_Restore/Dump_Restore_static.dsp:
        * examples/Service_Configurator/IPC-tests/server/Server_static.dsp:
        * examples/ASX/CCM_App/CCM_App_static.dsp:
          Removed these static msvc6 project files. Use MPC to generate these
          if you need them. These are outdated and should have gone before 1.4
          was released.

Fri Feb 20 18:47:26 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added FaultTolerance.dsp, RTCosScheduling and FtRtEvent.dsp to this
          file, so that they are build first with all other needed libs in the
          static builds.

Fri Feb 20 16:40:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/mkcsregdb/mkcsregdb.cpp:
          Fixed warning in BCB builds about comparing signed and unsigned
          values

Fri Feb 20 07:51:04 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * etc/ace.doxygen:

          Reverted the change "Sun Dec 28 15:09:34 UTC 2003  Don Hinton
          <dhinton@dresystems.com>" since it broke stuff in
          ACE-categories.html. Don seems to have a better fix. Till
          then. This reversal will create problems for folks who untar
          doxygen documentation on platforms where the path length could
          be an issue.

Thu Feb 19 15:22:49 2004  Steve Huston  <shuston@riverace.com>

        * ace/Template_Instantiations.cpp: Add a block to keep HP aC++ from
          issuing a warning about an empty translation unit.

        * ace/Global_Macros.h: Added #include "ace/config-lite.h" because
          this file checks on config options.

        * ace/config-all.h: No need to include "ace/Global_Macros.h" from here.

        * ace/MEM_Addr.cpp (same_host): To account for IPv4/IPv6 differences,
          use ACE_INET_Addr::operator==. Because that method takes the port
          number into account when comparing, and we don't care about the
          port number, copy the two addresses to new ACE_INET_Addr objects
          and set their port numbers to 0, then compare.

        * tests/Multicast_Test_IPV6.cpp:
        * tests/Proactor_Test_IPV6.cpp: Corrected name of log file so
          the test script can find it.

Thu Feb 19 08:06:09 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_sys_stat.inl (lstat): Removed the ACE_WIN32
          branch since Windows doesn't support _lstat().  Thanks to
          Johnny Willemsen for this.

        * ace/config-win32-common.h: Added ACE_LACKS_LSTAT.  Thanks to
          Johnny Willemsen for this.

Thu Feb 19 11:40:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Dirent_Test.cpp:
          Fixed typo

Wed Feb 18 13:51:28 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/FeatureParser.pm:
        * bin/MakeProjectCreator/modules/OutputMessage.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:

          Make all of the error and diagnostic messages go through the
          OutputMessage module.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Made inheritance hierarchy information available to the project
          creator subclasses.

        * bin/MakeProjectCreator/modules/Version.pm:

          Increment the version number.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Fixed a problem with the implicit inter-project dependency
          generation code.  It now looks at indirect project dependency to
          avoid adding inter-project dependencies when they are not needed.
          This fixes [BUGID 1653].

Wed Feb 18 11:36:44 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bmake.mpd:

          Added a missing <%endif%>.

Wed Feb 18 10:41:07 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_sys_stat.inl: Removed an extra endif. Thanks to Don
          Hinton for sending the patch.

Wed Feb 18 07:04:55 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_sys_stat.{h,inl}: Changed the first parameter of
          lstat() to be ACE_TCHAR rather than just char and revised the
          #defines so things should work better on Windows.  Thanks to
          Johnny Willemsen for reporting this.

        * tests/Dirent_Test.cpp (dirent_count): Rearranged some
          code so the test would work.  Thanks to Zvika Ashani
          <zvika@aspectusvi.com> for reporting this and testing it.

        * ace/os_include/sys/os_stat.h: Changed S_IFLNK to 0200000.
          Thanks to Zvika Ashani <zvika@aspectusvi.com> for reporting
          this and testing it.

Tue Feb 17 19:55:56 UTC 2004  Craig Rodrigues  <crodrigu@bbn.com>

        * ace/SOCK_SEQPACK_Connector.cpp:
          Add #include <ace/OS_NS_string.h> to get ACE_OS::memcpy().

Tue Feb 17 10:29:34 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC6ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:

          Added an environment variable,
          MPC_DEPENDENCY_COMBINED_STATIC_LIBRARY, to control the creation of
          inter-project dependencies of static libraries for the em3, vc6,
          vc7 and vc71 project types.  If the environment variable is set,
          MPC will generate inter-project dependencies for static libraries.
          Whereas, normally it would not.

        * bin/MakeProjectCreator/modules/VA4ProjectCreator.pm:

          Removed a redundant version of the translate_value() method.

Mon Feb 16 08:06:23 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/os_include/sys/os_stat.h: Changed the value of S_IFLNK so
          that it's different than S_IFREG.  Thanks to Zvika Ashani
          <zvika@aspectusvi.com> for reporting this.

Mon Feb 16 13:40:34 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/openssl.mpb:
        * bin/MakeProjectCreator/config/qos.mpb:
        * bin/MakeProjectCreator/config/qt.mpb:
        * bin/MakeProjectCreator/config/zlib.mpb:

          Added bmake to the specific sections for these base projects.

Sun Feb 15 16:34:58 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/os_include/sys/os_stat.h:

          Fixed a typo that was causing compile errors on Win32.

Sun Feb 15 09:40:46 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/os_include/sys/os_stat.h: Added a #define for
          S_IFLNK for Windows platforms, which lack this #define.  Thanks
          to Zvika Ashani for reporting this.

Sun Feb 15 10:00:58 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Dirent_Test.cpp:

          Fixed unused function warnings.

Sat Feb 14 11:41:27 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_sys_stat.inl: Implement lstat() so that it'll
          use stat() on platforms that don't support lstat().

        * tests/Dirent_Test.cpp: Updated this test so it will
          illustrate how to recurse through a hierarchical directory
          structure.  Thanks to Zvika Ashani <zvika@aspectusvi.com> for
          helping to motivate this example and for providing the initial
          implementation.

Sat Feb 14 09:22:25 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TMCast/Makefile:
        * ace/TMCast/TMCast.mpc:

          Needs threads=1 to compile.

Sat Feb 14 08:48:10 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TMCast/Group.cpp:

          Fixed compile errors in daily builds.

Fri Feb 13 12:21:06 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Process_Manager.cpp (wait): If the
          ACE_Event_Handler::handle_exit() methods kills a managed
          process, the process_table_ array is modified before
          this->remove_proc (idx) is called. In this case the value of idx
          is wrong, so we replace remove_proc(idx) with remove(pid).
          Thanks to Carsten Prescher <carsten.prescher@sysde.eads.net> for
          reporting this.  This fixes bugid 1743.

Fri Feb 13 09:47:25 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/CDR_Stream.cpp (clone_from):

          The check that is done before we go for an allocation needs to
          include the CDR alignment.

        * ace/TMCast/Group.cpp:

          Use standard macros like ACE_SYNCH_MUTEX that can compile in
          single-threaded and multi-threaded builds. Thanks to Duane
          Binder for providing the patches.

Fri Feb 13 10:50:31 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Timers/Task.cpp: In main(), interval should be
          initialized with 100000 usecs, not 1000, to be .1 sec as the
          comment indicates. Thanks to Norm Whitehead
          <Norm_Whitehead@raytheon.com> for reporting this.

        * THANKS: Added Norm Whitehead to the Hall of Fame.

Thu Feb 12 10:40:40 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/ACE-categories.html:

          Fixed the url location. But the file names will not work since
          we have broken the  name generation in doxygen. We will fix that
          next.

Thu Feb 12 09:34:37 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/depgen.pl:

          Added the ACE_PLATFORM_CONFIG environment variable to the
          replacement list.  I'm not sure why this is desirable, but g++dep
          does it so now depgen.pl does it.

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/DependencyGenerator/GNUDependencyWriter.pm:
        * bin/DependencyGenerator/GNUObjectGenerator.pm:
        * bin/DependencyGenerator/NMakeObjectGenerator.pm:
        * bin/DependencyGenerator/ObjectGenerator.pm:
        * bin/DependencyGenerator/Preprocessor.pm:

          Made many optimizations to compensate for the additional
          replacement variable.

        * bin/MakeProjectCreator/config/fault_tolerance.mpb:

          The fault_tolerance base project needs the ftorb base project.

Wed Feb 11 16:25:11 2004  Steve Huston  <shuston@riverace.com>

        * ace/INET_Addr.cpp (get_host_addr): On Windows for IPv6, don't try
          to call ACE_OS::inet_ntop() - it's not supported. The rough
          equivalent is getnameinfo(). Rather than add this at the ACE_OS
          layer after BFO (getnameinfo() may have been replaced by newer
          APIs in other OSes) add the getnameinfo() call in here.
          This fixes the crash in INET_Addr_Test on Windows w/ IPv6.

Wed Feb 11 13:14:39 2004  Steve Huston  <shuston@riverace.com>

        * tests/INET_Addr_Test_IPV6.cpp: Cast INADDR_ANY to ACE_UINT32 to
          disambiguate it from a 0 char*. Fixes compile error on Windows.

Wed Feb 11 15:39:29 GMT 2004  Paul Morrison  <epm@prismtechnologies.com>

        * examples/APG/Signals/SigAction.cpp

          Added a reinterpret_cast to fix a build error with LynxOS.

Wed Feb 11 15:31:06 GMT 2004  Paul Morrison  <epm@prismtechnologies.com>

        * TAO/orbsvcs/Logging_Service/Basic_Logging_Service/Makefile
        * TAO/orbsvcs/Logging_Service/Event_Logging_Service/Makefile
        * TAO/orbsvcs/Logging_Service/Notify_Logging_Service/Makefile
        * TAO/orbsvcs/examples/Log/RTEvent/Makefile

          Added -lTAO_Svc_Utils to LDLIBS line to remove link errors with
          LynxOS build.

Wed Feb 11 07:36:16 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/default.rel:
        * bin/MakeProjectCreator/modules/Driver.pm:

          Added the ability to use wildcards in the default.rel file.  For
          example, *_ROOT is now used to pick up all environment variables
          that end in _ROOT.

Tue Feb 10 13:32:51 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Proactor/HA_Proactive_Status.cpp: Add ACE_TEXT
          around string literal and make the "need async I/O" message
          more explicit.

Tue Feb 10 11:27:59 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/bison.mpb:
        * bin/MakeProjectCreator/config/flex.mpb:
        * bin/MakeProjectCreator/config/lex.mpb:

          Added base projects with custom definitions for bison, flex and
          lex.  Currently, yacc can't be supported since the output file
          can't be explicitly specified.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Added the line number to an informational message.

        * bin/MakeProjectCreator/templates/make.mpd:

          Fixed this template to allow source files to exist within
          sub-directories, but have the object files go in the build
          directory.

Tue Feb 10 15:51:50 UTC 2004  Craig Rodrigues <crodrigu@bbn.com>

        * include/makeinclude/platform_linux.GNU:
          Even if the user overrides PLATFORM_SCTP_CPPFLAGS in
          platform_macros.GNU, either ACE_HAS_OPENSS7_SCTP or
          ACE_HAS_LKSCTP *must* be added to PLATFORM_SCTP_CPPFLAGS, otherwise
          wrong code will get compiled.  Also, for sctp=lksctp, do
          not hardcode PLATFORM_SCTP_LIBS to /usr/local/lib/libsctp.a.
`         Instead set PLATFORM_SCTP_LDFLAGS to -L/usr/local/lib
          and set PLATFORM_SCTP_LIBS to -lsctp.

Tue Feb 10 08:45:10 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Fixed a bug in the template where no binary targets would be built
          if there are no libraries linked in.

Tue Feb 10 07:29:55 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_wchar.h:

          #included ace/os_include/os_errno.h. Needed for builds where
          ACE_HAS_SIGNAL_SAFE_OS_CALLS is defined. Thanks to Kobi
          Cohen-Arazi for the patch.

Mon Feb  9 18:21:41 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Naming/Name_Binding.h: The Name_Binding destructor
          should use ACE_OS::free(), not delete[], to release type_. It
          was allocated using ACE_OS::strdup().

Mon Feb  9 16:10:07 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Memory_Pool.cpp: ACE_Shared_Memory_Pool::commit_backing_store_name()
          and ACE_Shared_Memory_Pool::handle_signal() ACE_ERROR_RETURN
          macros were returning the wrong value (0 instead of -1).  Thanks
          to Kobi Cohen-Arazi <kobi-co@barak-online.net> for reporting
          this problem.

Mon Feb  9 13:58:30 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/GNUObjectGenerator.pm:

          Fixed a bug where cpp files in subdirectories would have the wrong
          target name generated in the dependencies.

        * bin/DependencyGenerator/Preprocessor.pm:

          Removed an unnecessary directory in the include search path.

Mon Feb  9 10:31:40 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/Preprocessor.pm:

          If the file for which dependencies are being generated contains a
          directory name, then we need to look for include files in that
          directory.

Mon Feb  9 07:00:05 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bmake.mpd:

          Added the custom generated files to the realclean target.

Sun Feb  8 15:36:30 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * THANKS: Just added the 1,800th contributor to the THANKS file!!

Sun Feb  8 15:34:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Also generate a realclean target for the IDL files so that IDL
          generated files are removed when running a realclean.

Sun Feb  8 14:25:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/cbx.mpd:
          Added first version support of using the Cygwin compiler within
          the CBuilderX Development Environment

Sun Feb  8 14:02:53 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/cbx.mpd:
          Added MinGW support for in the CBuilderX IDE

Sun Feb  8 13:06:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/cbx.mpd:
          Improved the CBuilderX template. Don't compile template files and
          disabled some warnings.

Sat Feb  7 19:33:56 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * examples/RMCast/Send_File/Sender.cpp (ACE_TMAIN):
          Fixed a typo in the comments.  Thanks to Olli Savia <ops@iki.fi>
          for the patch.

Fri Feb  6 15:49:37 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_client.mpb:
        * bin/MakeProjectCreator/config/ciao_servant.mpb:

          Added TAO_ROOT/tao and CIAO_ROOT/ciao to the include
          paths (C++ and (C)IDL). These additions allow users
          to include <orb.idl> or <Components.idl> without
          being concerned about the specific directory they
          reside in.

Fri Feb  6 14:53:27 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/global.features:

          Added a new feature cidl into the global features.
          This feature is turned off by default, so no makefiles
          or project files will be gnerated for CCF and CIDLC.

Fri Feb  6 14:13:25 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Time_Value.inl (msec): Changed the return type of
          ACE_Time_Value::msec() from long to unsigned long to prevent
          problems with wrap-arounds that yield negative numbers.  Thanks
          to Matthew Gillen <gillen@ohio.edu> for this fix.

Fri Feb  6 11:50:36 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/INET_Addr.cpp:

          Fixes a problem that this change "Thu Jan 15 08:02:23 2004
          Douglas C. Schmidt  <schmidt@cse.wustl.edu>" opened up and which
          Craig Rodrigues reported. This problem has been lying around for
          almost an year now. In the static method
          get_port_number_from_name (), if we get a portnumber 0
          (perfectly valid to send a 0) we missed to check for port
          0. This has now been fixed. Thanks to Craig for reporting this.

Fri Feb  6 09:48:01 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * include/makeinclude/platform_sunos5_sunc++.GNU (CPPFLAGS):
        * include/makeinclude/platform_sunos5_g++.GNU (CPPFLAGS):

          Reverted the change "Fri Feb  6 09:31:30 2004  Balachandran
          Natarajan  <bala@dre.vanderbilt.edu>" since it creates more
          problems.

        * ace/config-sunos5.5.h:

          Added ACE_LACKS_SWAB. This is a lie. There are signatures
          mismatch and adding compile time options that get the right
          signatures messes things up a lot. Someone needs to take a look
          at it fix the compile time options properly.

Fri Feb  6 09:35:13 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/rteventlogadmin.mpb:

          Changed to inherit from dslogadmin and rtoldevent instead of
          dseventlogadmin.

Fri Feb  6 09:31:30 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * include/makeinclude/platform_sunos5_sunc++.GNU (CPPFLAGS):
        * include/makeinclude/platform_sunos5_g++.GNU (CPPFLAGS):

          Added -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED=1 to
          CPPFLAGS. This should fix the compile errors in Solaris builds.

Fri Feb  6 09:04:50 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:

          Added support for dynamicflags, staticflags and rc files.

        * bin/MakeProjectCreator/templates/makedll.mpt:

          Added the _REENTRANT macro to the extracppflags for many of the
          platforms.

Fri Feb  6 06:35:32 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:

          Updated the usage to reflect the new Cbx workspace type.

        * bin/MakeProjectCreator/modules/CbxWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/MWC.pm:

          Added the workspace counterpart to the CbxProjectCreator.  Thanks
          to Johnny Willemsen for providing me an example workspace.

Fri Feb  6 11:48:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/rules.local.GNU:
          Fixed typo in this file which caused build problems when .rc are
          used (Cygwin and MinGW do this).

Thu Feb  5 13:38:15 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bmake.mpd:

          Added rules for all of the MPC supported C++ file extensions.

Thu Feb  5 11:25:50 2004  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * include/makeinclude/rules.bin.GNU:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/rules.local.GNU:

          Modified build rules to allow projects with sources in sub-
          directoris. Thanks to Don Hinton <dhinton@dre.vanderbilt.edu>
          for his help.

Thu Feb  5 08:48:27 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Thread_Manager.{h,cpp}: added a new methods called
          testterminate() which checks to see whether a thread has
          terminated or not.  Thanks to Avi Ouziel <ouziel_a@hotmail.com>
          for this suggestion.

Thu Feb  5 07:55:10 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:

          Fixed a bug where Borland projects generated on UNIX would not
          reflect the correct cppdir value.

        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:

          Sort the projects names so projects are easier to find in large
          lists.

        * bin/MakeProjectCreator/modules/Driver.pm:

          Fixed a bug in the usage output.

        * bin/MakeProjectCreator/modules/Version.pm:

          Updated the MPC version number.

        * bin/MakeProjectCreator/USAGE:

          Updated the usage to reflect the new alternative Borland Make
          project type.

        * bin/MakeProjectCreator/modules/MPC.pm:
        * bin/MakeProjectCreator/modules/MWC.pm:
        * bin/MakeProjectCreator/modules/BMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/BMakeProjectCreator.pm:
        * bin/MakeProjectCreator/templates/bmake.mpd:
        * bin/MakeProjectCreator/templates/bmakecommon.mpt:
        * bin/MakeProjectCreator/templates/bmakedll.mpt:
        * bin/MakeProjectCreator/templates/bmakedllexe.mpt:
        * bin/MakeProjectCreator/templates/bmakelib.mpt:
        * bin/MakeProjectCreator/templates/bmakelibexe.mpt:

          Added a new alternative Borland Make project type called bmake.
          It does not rely on any of the .bor files in
          ACE_wrappers/include/makeinclude.

Wed Feb  4 21:55:38 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * ace/config-lynxos.h:
        * ace/os_include/os_stdlib.h:
        * ace/os_include/os_unistd.h:
          Moved the prototypes for getopt() and putenv() out of
          config-lynxos.h and into the appropriate os_include header.
          Added prototype of swab() to os_unistd.h.  Thanks to Olli Savia
          <ops@iki.fi> for the patch.

Wed Feb  4 14:21:46 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_client.mpb:
        * bin/MakeProjectCreator/config/ciao_servant.mpb:
        * bin/MakeProjectCreator/config/orbsvcsexe.mpb:
        * bin/MakeProjectCreator/config/orbsvcslib.mpb:
        * bin/MakeProjectCreator/config/taodefaults.mpb:
        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
        * bin/MakeProjectCreator/config/valuetype.mpb:

          Removed all path includes except TAO_ROOT and CIAO_ROOT,
          for IDL, CIDL and C++ compilers.

Wed Feb  4 18:15:16 UTC 2004  Craig Rodrigues <crodrigu@bbn.com>

        * include/makeinclude/platform_linux.GNU: Allow
          user to override SCTP flags in platform_macros.GNU
          before including platform_linux.GNU.

Wed Feb  4 17:41:25 UTC 2004  Craig Rodrigues <crodrigu@bbn.com>

        * include/makeinclude/platform_freebsd.GNU:
          Change thread flags to reflect new changes in FreeBSD.
          KSE-based -lpthread is now the default library in
          FreeBSD-CURRENT.

Tue Feb  3 16:21:49 2004  Steve Huston  <shuston@riverace.com>

        * m4/compiler.m4: If --disable-rtti is specified on AIX, add
          -DACE_LACKS_RTTI to CXXFLAGS.

        * netsvcs/clients/Naming/Client/Makefile.am:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.am: Removed the
          extraneous path prefix for the required same-directory libraries in
          main_LDADD to allow the Makefile to see the library and build it
          first at make time.

Tue Feb  3 14:35:53 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/config-win32-msvc-6.h:
        * ace/config-win32-common.h:

          Moved the definition of ACE_HAS_NONCONST_SWAB from VC6 to
          win32-common.h.  Thanks to Andrew G. Harvey <agh@cisco.com>
          for the suggestion.

Tue Feb  3 11:36:41 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Reactor/Client.cpp:
        * examples/APG/ThreadSafety/TSS.cpp: Add template instantiations needed
          to correct LynxOS build. Thanks to Olli Savia <ops@iki.fi> for
          these fixes.

Tue Feb  3 07:37:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:

          Added a missing foreach for the configurations.  It's necessary in
          order to access the platforms.

Mon Feb  2 13:53:08 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/OutputMessage.pm:

          Added an interface for printing informational, warning and error
          messages.  This allows messages to be manipulated prior to being
          printed.  Informational messages are off by default and can be
          enabled by setting the MPC_INFORMATION environment variable.  The
          informational and warning messages can be turned off by setting the
          MPC_SILENT environment variable.

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/FeatureParser.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/StringProcessor.pm:
        * bin/MakeProjectCreator/modules/TemplateInputReader.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Use the OutputMessage interface instead of print for messages.

Mon Feb  2 13:48:23 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bor.mpd:

          Move the location of the custom build rules to ensure that they
          are added to the all target before the object files.  This ensures
          that the custom build rules are processed before source files are
          compiled.

Mon Feb 02 10:00:29 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/config-win32-msvc-6.h:

          Looks like VC6 has a non-const swab.

        * ace/OS_NS_unistd.inl:

          Fixed the non-const part of the swab () to compile with vc6.

Mon Feb  2 08:18:41 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/CbxProjectCreator.pm:

          Removed an unused implementation of the fill_value() method.

Mon Feb  2 07:41:25 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/va4icc.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Removed the ssl and defaultlibs keyword.  These were unncessary
          and should have been removed long ago.

Mon Feb  2 07:16:42 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_unistd.h:
        * ace/OS_NS_unistd.inl:

          Changed the parameters to void * instead of char * since most of
          the platforms take a void *.

Mon Feb  2 06:56:32 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Makefile.ace:

          Building applications which use ACE library fail because
          LynxOS's linker is unable to find dlopen() which is used in
          DLL_Manager.o and implemented in OS_NS_dlfcn.o.

          To fix this, OS_NS_dlfcn.o must be placed after DLL_Manager.o
          when creating libACE.a with ar. Thanks to Olli Savia for the
          patch.

Sun Feb  1 19:09:54 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-borland-common.h:
        * ace/config-win32-borland.h:
          Kylix doesn't have swab, CBuilder has a non-const swab, CBuilderX
          has the normal swab

Sun Feb  1 17:06:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.inl:
        * ace/README:
          Some platforms have a swab function where the first argument is
          non const, added ACE_HAS_NONCONST_SWAB which then must be set.

        * ace/config-win32-borland.h:
          Added ACE_HAS_NONCONST_SWAB

Sun Feb  1 15:15:44 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux.GNU:
          Added missing libraries that are needed when linking with fltk
          support.

Sun Feb  1 12:36:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/build_lib.bor:
          Added support for using the CBX ar with the -M commandline option
          to pass it a script. This fixes the too long commandline.

Sat Jan 31 11:01:33 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_unistd.h:
        * ace/OS_NS_unistd.inl:

          Thanks to Olli Savia, we now have a ACE_OS::swab (). This calls
          the platform specific swab () function. There is a emulation
          which could be used on platforms that don't support ::swab
          (). The emulation can be used by defining ACE_LACKS_SWAB.

          I haven't added ACE_LACKS_SWAB in any config file. We will do it
          as and when things showup in our daily builds.

Sat Jan 31 08:52:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/smart_proxies.mpb:
          Removed requires smart_proxies, there is no need for this and
          only prevents the smart_proxies tests from compiling

Fri Jan 30 19:33:49 UTC 2004  Craig Rodrigues  <crodrigu@bbn.com>

        * include/makeinclude/platform_linux.GNU: Allow user to override
          OCFLAGS in platform_macros.GNU file.

Fri Jan 30 10:30:26 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bor.mpd:

          Force the custom build targets to be processed before compiling
          any of the cpp files.

Fri Jan 30 09:02:30 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Proactor.cpp (proactor_run_event_loop): Make sure to
          return if the handle_events() call return 0, which indicates
          a timeout.  Thanks to Daniel Buchs <acelib@dbux.ch> for
          this fix.

Fri Jan 30 07:41:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/MPC.pm:
        * bin/MakeProjectCreator/modules/MWC.pm:
        * bin/mpc.pl:
        * bin/mwc.pl:

          Pulled the creator lists out of the perl scripts and moved them
          into the new MPC and MWC modules.  This will allow the extension
          of MPC by providing a way to hook new workspace and project types
          into MPC without adding anything to the MPC repository.

Thu Jan 29 14:10:51 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:

          Clean up some double quoted strings.

        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:

          Changed the workspace output to allow a user to make a specific
          target within the workspace.  If the user specified target
          requires other projects, then those projects are built also.  For
          example, a user could execute "nmake CosNaming" using the Makefile
          generated from the TAOACE.mwc file and the CosNaming library
          would be built including everything else that was required to
          build that library.

Thu Jan 29 14:04:50 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Asynch_Connector.cpp:
        * ace/Local_Name_Space_T.cpp:
        * ace/Local_Tokens.cpp:
        * ace/MEM_Acceptor.cpp:
        * ace/MEM_Connector.cpp:
        * ace/Multihomed_INET_Addr.cpp:
        * ace/Process_Manager.cpp:
        * ace/Remote_Tokens.cpp:
        * ace/Service_Config.cpp:
        * ace/Service_Manager.cpp:
        * ace/Sock_Connect.cpp:
        * ace/Timeprobe_T.cpp:
        * ace/Token.cpp:
        * ace/Token_Invariants.cpp:
        * ace/CLASSIX/CLASSIX_Select_Reactor.cpp:

          Thanks to Duane Binder<duane.binder@veritas.com> for providing
          patches to fix some of the messages printed out using
          ACE_Log_Msg.

Thu Jan 29 14:03:42 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/config/amh.mpb:
        * bin/MakeProjectCreator/config/ciao_client.mpb:
        * bin/MakeProjectCreator/config/smart_proxies.mpb:
        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
        * bin/MakeProjectCreator/config/valuetype.mpb:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/templates/automake.mpd:
        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/bordll.mpt:
        * bin/MakeProjectCreator/templates/borexe.mpt:
        * bin/MakeProjectCreator/templates/cbx.mpd:
        * bin/MakeProjectCreator/templates/cbxdll.mpt:
        * bin/MakeProjectCreator/templates/cbxexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/gnudll.mpt:
        * bin/MakeProjectCreator/templates/gnuexe.mpt:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/makedll.mpt:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/nmakeexe.mpt:
        * bin/MakeProjectCreator/templates/va4iccdll.mpt:
        * bin/MakeProjectCreator/templates/va4iccdllexe.mpt:
        * bin/MakeProjectCreator/templates/va4icclib.mpt:
        * bin/MakeProjectCreator/templates/va4icclibexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc6dspdll.mpt:
        * bin/MakeProjectCreator/templates/vc6dspdllexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplib.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplibexe.mpt:
        * bin/MakeProjectCreator/templates/vc7.mpd:
        * bin/MakeProjectCreator/templates/vc7dll.mpt:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:
        * bin/MakeProjectCreator/templates/vc7lib.mpt:
        * bin/MakeProjectCreator/templates/vc7libexe.mpt:

          Removed IDL_Files as a built-in build type and replaced it as a
          custom build type.  The syntax of IDL_Files has only changed in
          that idlgendir is no longer a usable keyword.  gendir should be
          used in its place.  Additionally, the custom build rules can not
          be executed in parallel when using the GNUACE project type.  This
          does not stop multiple unrelated projects from being built in
          parallel.  In order to get the IDL custom build type, your project
          must inherit, either directly or indirectly, from taoidldefaults.
          The amh, ciao_client, taoexe and taolib_with_idl base projects all
          inherit from taoidldefaults.  Others get it indirectly.

        * bin/MakeProjectCreator/config/idl_compiler.mpt:
        * bin/MakeProjectCreator/config/idl_compiler_win32.mpt:

          Removed these files.

Thu Jan 29 13:32:17 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Remove the WARNING: from the informational message that a
          workspace wasn't created because no projects were created.

Thu Jan 29 10:10:26 2004  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * THANKS:

          Added Hans-Peter Bock <Hans-Peter.Bock@isw.uni-stuttgart.de>.

Wed Jan 28 13:21:00 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:

          Only inherit from qt_reactor instead of qt_moc and qt_reactor.

        * ace/qt_reactor.mpb:

          Inherit from ace_qt and qt_moc.

        * bin/MakeProjectCreator/config/ace_qt.mpb:
        * bin/MakeProjectCreator/config/acedefaults.mpb:
        * bin/MakeProjectCreator/config/qt.mpb:

          Inherit from the ace_qt base project as part of the reorganization
          of qt and qt_moc.

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Allow features to inherit from other base projects just as
          projects do.

        * bin/MakeProjectCreator/config/qt-min.mpb:
        * bin/MakeProjectCreator/config/qt-min_moc.mpb:

          Removed these files.

Wed Jan 28 10:26:17 2004  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * ace/TMCast/README:

          Fixed a few typos.

Wed Jan 28 09:17:36 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Added custom build output inference that takes gendir settings
          into account.  If a custom build file is listed, gendir is set and
          the generated source isn't listed in the Source_Files list, then
          the correct generated source files will be listed with the correct
          path determined by gendir.

Wed Jan 28 08:54:29 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Changed the output name from Makefile to GNUmakefile in accordance
          with [BUGID 1726].  GNU Make will look for GNUmakefile before it
          looks for Makefile.

Wed Jan 28 08:20:59 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/config/ciao_servant.mpb:

          Prefixed cidl with a dot in the inputexts assignment.

Wed Jan 28 06:46:55 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.h:
        * ace/config-cygwin32.h:
          Moved os_math.h include from config-cygwin32.h to ACE.h. When
          ACE_NTRACE is set we got include problems. Cygwin defines log2
          as macro and we have ACE::log2. The include of os_math.h is only
          done for Cygwin.  Thanks to Yi Zuo <Yi.Zuo@alcatel-sbell.com.cn>
          for reporting this.

Tue Jan 27 20:49:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added ETCL.dsp to the list of projects to build first in a static build.

Mon Jan 26 17:12:38 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_sys_stat.inl (filesize): Declare sb using ACE_stat instead
          of struct stat to pick up whatever gets set up for that platform.
          Fixes compile error on HP-UX aCC.

Mon Jan 26 15:18:06 2004  Gautam Thaker  <gthaker@atl.lmco.com>

        * bin/count_lines (initfiletypes):

        Added .py for python and .php for php scripts.

Mon Jan 26 15:47:55 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Timers/PCB.cpp: Don't put needed things inside
          ACE_ASSERT - they disappear when built with ACE_NDEBUG.

Mon Jan 26 13:01:42 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/makedll.mpt:

          Added support for cygwin32 and mingw32.

Mon Jan 26 18:10:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/build_lib.bor:
        * include/makeinclude/compiler.bor:
          Added support for the CBuilderX Preview ar.

Mon Jan 26 16:14:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/clean.bor:
          Changed this file a little, special independent clean fules for cbx
          and other versions and dependent on the version used the right clean
          rule is used.

Mon Jan 26 16:02:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
        * include/makeinclude/build_dll.bor:
        * include/makeinclude/build_exe.bor:
        * include/makeinclude/build_lib.bor:
        * include/makeinclude/clean.bor:
          The CBuilderX Preview compiler uses the .o extension for object
          files, all other Borland versions use .obj. Some time ago I
          introduced $(OBJ_EXT) to handle this, but this was not complete
          yet. Change the makefile instructure to handle $(OBJ_EXT) instead
          of obj and changed the MPC Borland template to generate $(OBJ_EXT)
          instead of obj. This way everything works as normally, but when
          you use the new CBuilderX Preview environment you must regenerate
          your makefiles using MPC.

Mon Jan 26 09:35:51 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:

          When calling the prelink script, the object files should be in
          double quotes.

Mon Jan 26 07:19:13 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/ftrteventchannel.mpb:
        * bin/MakeProjectCreator/config/utils.mpb:

          Added base projects for the TAO_FTRT_EventChannel and TAO_Utils
          libraries.

Sun Jan 25 18:05:31 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Streams/RecordingDevice_Text.cpp: Fixed formatting
          to fit in its spots in the book.

Sun Jan 25 20:46:03 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * ace/Global_Macros.h:
        * ace/config-lite.h:
        * ace/config-all.h:
          Moved the ACE_TRACE defines from Global_Macros.h to config-all.
          and ACE_OS_TRACE from config-lite.h to config-all.h, and added
          ACE_OS_NTRACE to config-all.h with the same symantics.  Thanks
          to Johnny Willemsen  <jwillemsen@remedy.nl> for motivating this
          change.

        * examples/ASX/Event_Server/Event_Server/Options.cpp:
        * examples/ASX/UPIPE_Event_Server/Options.cpp:
          Added #include OS_NS_strings.h if ACE_HAS_TRACE is defined.

Sun Jan 25 15:55:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.h:
          Removed check for ACE_MT_SAFE for the win32 specific methods.

Sun Jan 25 09:11:40 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/msvc_mpc_auto_compile.pl:

          Some cosmetic fixes to get ACEXEML and Kokyu compiled well
          before other things. The dsw's in TAO hierarchy do not have the
          dsp's of ACE hierarchy included but for TAOACE.dsw.

Sun Jan 25 08:59:40 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Kokyu/Kokyu.mwc:
        * ACEXML/ACEXML.mwc:

          Added new workspace files. The above pieces should be compilable
          without going into TAO and using TAOACE.mwc.

Sun Jan 25 12:26:19 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Auto_IncDec_Test.cpp:
          Extended debug info with the total number of threads. This then shows
          that with Cygwin threads that exit are not removed from the
          thread manager

Sun Jan 25 11:34:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Tests.bor:
          Added SOCK_Test_IPv6

Sun Jan 25 11:26:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-borland-common.h:
          CBuilderX Preview doesn't support multithreaded builds, so removed
          fix for _endthreadex

Sun Jan 25 10:49:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_compile.pl:
          Cleaned up some old stuff

Sat Jan 24 16:11:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdlib.inl:
          With CBuilderX Preview putenv, wcstod, wcstol and wcstoul are in the
          std namespace, so added ACE_STD_NAMESPACE which expands to std with
          Borland, to nothing with other compilers.

        * ace/OS_NS_stdio.inl:
          The vswprintf for Dinkum STL is different. CBuilderX Preview has
          std::tempnam, so added checking for borland version.

        * ace/OS_NS_stdio.cpp:
          vswprintf and vsnprintf are different with CBuilderX Preview

        * ace/config-win32-borland.h:
          CBuilderX Preview has no itoa

Sat Jan 24 15:29:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          CBuilderX Preview doesn't have wcsdup

Fri Jan 23 14:04:31 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Changed the defaulting rules for implicitly adding source files
          when IDL_Files (or any other custom type) is specified.
          Previously, generated source files would only be added to the
          Source_Files section only if IDL_Files was not specified and no
          generated source files were already listed in Source_Files.  Now,
          the generated source files will be added whether or not IDL_Files
          is specified and no generated source files were already listed in
          Source_Files.

Fri Jan 23 19:09:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_string.cpp:
          With CBuilderX Preview strdup is in the std namespace, so
          added ACE_STD_NAMESPACE which expands to std with Borland,
          to nothing with other compilers.

Fri Jan 23 10:04:00 2004  Gary Maxey <gary.maxey@hp.com>

        Fix for BUGID 1722, for Tandem NSK platform.
        * ace/OS_NS_stdlib.inl:

          Need to use spt_system() instead of system().

        * ace/OS_NS_sys_wait.inl:

          Need to use spt_waitpid() instead of waitpid()

Fri Jan 23 09:49:00 2004  Gary Maxey <gary.maxey@hp.com>

        * ace/OS_NS_Thread.inl:

          Fix for BUGID 1708

          Added #elif in ACE_OS::sigwait to use alternate sigwait() when
          compiling for Tandem NSK platform.

Fri Jan 23 09:34:00 2004  Gary Maxey <gary.maxey@hp.com>

        * ace/OS_NS_unistd.inl:

          Fix for BUGID 1709

          Added #ifdef to use alternate select() when compiling for Tandem
          NSK platform.

Fri Jan 23 10:30:12 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/create_ace_build.pl:

          Exclude .exp files and ensure that we can stat() the real file
          before checking the modification time in
          backup_and_copy_changed().

Fri Jan 23 09:41:11 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/vc7.mpd:

          Reverted my change from Tue Jan 20 14:11:48 2004.  While the
          generated vcproj loads properly, the project does not link
          properly.

Fri Jan 23 15:04:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          Fixed ACE_WCSDUP_EQUIVALENT for CBuilderX Preview

Fri Jan 23 07:20:02 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/global.features:

          Changed wxwindows to wxWindows to match the changes put in by
          Scott Harris.

Fri Jan 23 13:06:56 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-tru64.h:
          Define ACE_LACKS_STDINT_H when DIGITAL_UNIX is greater than
          0x40E instead of 0x510. Thanks to Daniel Miranda
          <dmiranda@telecompersonal.com.ar> for reporting this.

Fri Jan 23 11:05:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          Added ACE_HAS_3_PARAM_WCSTOK for the new CBuilderX Preview
          compiler

Fri Jan 23 10:47:54 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          Another set of changes for CBuilderX. strcasecmp and strncasecmp
          should come from the std namespace

Fri Jan 23 10:04:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          ACE_STRCASECMP_EQUIVALENT and ACE_STRNCASECMP_EQUIVALENT are not
          needed anymore for the CBuilderX Preview compiler

Fri Jan 23 09:42:15 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_time.inl:
          Dinkum STL doesn't have tzset. Fixes another compile problem with
          the new Borland CBuilderX Preview compiler

Fri Jan 23 09:36:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Object_Manager.cpp:
          CBuilderX Preview defines _MSC_VER and __BORLANDC__ so only use
          _CrtSetReportMode when _MSC_VER is defined and not __BORLANDC__.
          Borland isn't making thing easier to maintain.

Fri Jan 23 09:30:45 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-borland-common.h:
          CBuilderX Preview has _endthreadex in the std namespace

Fri Jan 23 09:23:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          CBuilderX seems to lack win32 structural exceptions

Fri Jan 23 08:41:53 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_time.h:
          Dinkum STL doesn't have timezone or _timezone so only try to use
          timezone when we don't have Dinkum STL.

Fri Jan 23 07:38:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/README:
        * ace/OS_NS_time.h:
          Added ace_timezone implementation for use with Dinkum STL, which
          lacks _timezone. For this added ACE_HAS_DINKUM_STL which can be
          set when using the Dinkum STL version.

        * ace/config-win32-borland.h:
          The new CBuilderX preview compiler uses Dinkum STL, so se then
          ACE_HAS_DINKUM_STL

Thu Jan 22 19:57:59 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Makefile.am (install-data-local):

          Fixed problem that occurred when performing a "make install".
          The "os_include" source and installation directories were not
          properly referenced.

Thu Jan 22 18:11:00 2004  Gary Maxey <gary.maxey@hp.com>

        * ace/os_include/os_pthread.h

          Fix for BUGID 1707

          Added #ifdef so correct pthreads include file is used when
          compiling for Tandem NSK platform.

Thu Jan 22 17:48:56 2004  Gary Maxey <gary.maxey@hp.com>

        * ace/config-tandem-nsk-mips-v2.h

          Added missing #endif to end of file

Thu Jan 22 19:08:56 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_sys_stat.inl (mkdir):

          ACE_OS::mkdir for OS PSOS wrote one character behind allocated
          memory. Fixed it by adding an extra byte for allocation. Thanks
          to Dieter Knueppel <dknueppel@datus.com> for reporting the
          problem and suggesting a fix.

Thu Jan 22 19:00:50 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/os_include/os_signal.h:

          This patch fixes redeclaration of pthread_sigmask
          function which showe up RH 9 systems with glibc
          2.3. pthread_sigmask declaration is now protected by a guard
          which will be defined in the platform configuration file. Thanks
          to Olli Savia for providing the patch.

        * ace/config-linux-common.h:

          A fix similar to this fix "Wed Jan 21 13:38:11 UTC 2004  Johnny
          Willemsen  <jwillemsen@remedy.nl>", but added
          ACE_HAS_PTHREAD_SIGMASK_PROTO within the block for glib 2.3.

Thu Jan 22 19:02:31 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/ThreadPools/Task_ThreadPool.cpp: Use 0, not NULL, to
          initialize a pointer.

Thu Jan 22 18:08:31 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/ThreadPools/ThreadPool.cpp: Don't ACE_ASSERT action
          that needs to be performed regardless of the ACE_NDEBUG setting.

Thu Jan 22 13:25:49 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-sunos5.5.h:
        * ace/config-sunos5.7.h:

          Define ACE_LACKS_GETLOADAVG in config-sunos5.5.h since SunOS 5.5
          and 5.6 do not have getloadavg().  Undefine it in
          config-sunos5.7.h, since it has it.

Wed Jan 22 10:33:47 2004  Scott Harris <harris_s@ociweb.com>

        * bin/MakeProjectCreator/config/wxwindows.mpb
        * include/makeinclude/platform_linux.GNU
        * include/makeinclude/platform_linux_borland.GNU
        * include/makeinclude/platform_linux_icc.GNU:
          Fixed wxwindows base project in support
          of $TAO_ROOT/util/wxNamingViewer.
          wxwindows project now require wxWindows defined
          (in plaform_macros.GNU) as was since 12/1/00
          instead of wxwindows. I choose historical precidence
          over making the macro and project name both
          being all lower case.

          Note: The wxNamingViewer Makefile was overriding the
          PLATFORM_WX_* macros defined in platform_*.GNU so I updated the
          macros in platform_*.GNU to be like the overrides in the Makefile.
          These macros are based on the wxWindows configuration.
          The wxNamingViewer makefile contains the only use of these
          macros.

          Only tested on RedHat 9 with wx_gtk 2.4.2.

          Note - the platform_*.GNU files definition of PLATFORM_WX_*
                 only support wxWindows over GTK+.
          TBD - support wxWindows MSVC and Borland in wxwindows.mpc.


Thu Jan 22 12:19:42 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:
        * ace/codecs.mpb:
        * ace/filecache.mpb:
        * ace/other.mpb:
        * ace/svcconf.mpb:
        * ace/token.mpb:
        * ace/uuid.mpb:

          Split some of the components into features that are enabled by
          default.  The use of comps and compname are no longer supported.

        * bin/MakeProjectCreator/README:

          Removed descriptions of comps and compname.  They have been
          replaced by features specific to the gnuace type.

        * bin/MakeProjectCreator/config/avstreams.mpb:
        * bin/MakeProjectCreator/config/concurrency.mpb:
        * bin/MakeProjectCreator/config/event.mpb:
        * bin/MakeProjectCreator/config/ftclientorb.mpb:
        * bin/MakeProjectCreator/config/ftorbutils.mpb:
        * bin/MakeProjectCreator/config/ftrtevent.mpb:
        * bin/MakeProjectCreator/config/ftrteventclient.mpb:
        * bin/MakeProjectCreator/config/ftserverorb.mpb:
        * bin/MakeProjectCreator/config/ifrservice.mpb:
        * bin/MakeProjectCreator/config/lifecycle.mpb:
        * bin/MakeProjectCreator/config/loadbalancing.mpb:
        * bin/MakeProjectCreator/config/naming.mpb:
        * bin/MakeProjectCreator/config/notification.mpb:
        * bin/MakeProjectCreator/config/orbsvcsexe.mpb:
        * bin/MakeProjectCreator/config/orbsvcslib.mpb:
        * bin/MakeProjectCreator/config/portablegroup.mpb:
        * bin/MakeProjectCreator/config/property.mpb:
        * bin/MakeProjectCreator/config/rtcorbaevent.mpb:
        * bin/MakeProjectCreator/config/rtcosscheduling.mpb:
        * bin/MakeProjectCreator/config/rtevent.mpb:
        * bin/MakeProjectCreator/config/rtoldevent.mpb:
        * bin/MakeProjectCreator/config/rtsched.mpb:
        * bin/MakeProjectCreator/config/rtschedevent.mpb:
        * bin/MakeProjectCreator/config/security.mpb:
        * bin/MakeProjectCreator/config/ssliop.mpb:
        * bin/MakeProjectCreator/config/time.mpb:
        * bin/MakeProjectCreator/config/trading.mpb:

          Removed the use of comps and compname.

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Removed code specific to comps and compname.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Removed comps and compname related code and replaced it with a
          more generic mechanism.

        * include/makeinclude/wrapper_macros.GNU:

          Set some ace related features to 1 by default.

        * tests/tests.mpc:

          Use feature requirement instead of comps.

Thu Jan 22 17:23:01 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Config/HASTATUS_export.h:
          Added check for ACE_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Thu Jan 22 17:16:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS/server/server.mpc:
          Added missing cpp extension to main

Thu Jan 22 09:47:04 2004  Chad Elliott  <elliott_c@ociweb.com>

        * tests/RMCast/acetest.mpb:

          Reverted some previous changes that were required due to bugs in
          MPC that have since been fixed.

Thu Jan 22 06:47:48 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Strategies_T.cpp:

          Fix for BUGID 1719. Please see

          http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1719

          for details.

Wed Jan 21 22:31:37 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/SSL/Makefile.am (EXTRA_DIST):

          Force test PEM files to be included in distribution.  Another
          problem revealed by "make distcheck".

Wed Jan 21 22:06:34 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac (AC_CONFIG_FILES):

          Added missing `netsvcs' Makefiles to the files generated by the
          configure script.

        * Makefile.am (SUBDIRS):

          Added "netsvcs" directory to the list of subdirectories to
          recurse.

        * netsvcs/Makefile.am:

          Reverted a series of changes that somehow left this file in an
          inconsistent state in our CVS repository, and unparsable by
          Automake.  In particular, it incorrectly contained
          Borland-specific Makefile code.

          Updated to our latest Makefile.am conventions.

        * netsvcs/clients/Makefile.am:
        * netsvcs/clients/Logger/Makefile.am:
        * netsvcs/clients/Naming/Client/Makefile.am:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.am:
        * netsvcs/clients/Tokens/Makefile.am:
        * netsvcs/clients/Tokens/collection/Makefile.am:
        * netsvcs/clients/Tokens/deadlock/Makefile.am:
        * netsvcs/clients/Tokens/invariant/Makefile.am:
        * netsvcs/clients/Tokens/manual/Makefile.am:
        * netsvcs/clients/Tokens/mutex/Makefile.am:
        * netsvcs/clients/Tokens/rw_lock/Makefile.am:
        * netsvcs/lib/Makefile.am:
        * netsvcs/servers/Makefile.am:

          Updated to our latest Makefile.am conventions.

        * tests/Makefile.am:

          Added more missing header files to appropriate source file
          lists.  Missing files were made evident when running a "make
          distcheck".

Wed Jan 21 20:12:38 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac (ACE_CONFIG_COMMANDS):

          Include ACE version in configuration completion message to
          improve clarity.

Wed Jan 21 20:17:34 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Message_Queue.i: Fixed ACE_Message_Queue_NT::is_empty()
          so that it returns the right result.  Thanks to Ariel Peltz
          <Arielp@bigbandnet.com> for contributing this fix.

Wed Jan 21 13:28:41 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac:

          Do not rely on "ace/OS.cpp" when performing test that determines
          if the generated configuration is usable.  "ace/OS.cpp" has been
          superseded by and split off into several other files.  Addresses
          bogus ACE usability configure script errors when running a "make
          distcheck".

        * ace/Makefile.am:

          Added missing "-version-number" libtool flag for all subset
          libraries.  Fixes problem where the library version for all
          these libraries was "0.0.0".  Thanks to Robert Schiele
          <robert.schiele@t-online.de> for discovering the problem and for
          providing a fix.

          (libACE_Utils_la_SOURCES):

          Added Template_Instantiations.cpp file to this source list.
          Fixes a "missing file" problem revealed by a "distcheck".

          (HEADER_FILES, INLINE_FILES, TEMPLATE_FILES):

          Updated these source file lists.  Addresses "missing file"
          problems exhibited when performing a "make distcheck".

        * m4/acinclude.m4 (ACE_USE_TEMP_FILE):

          Fixed problem that prevented the "distcheck" target from passing
          due to an attempt to write a file into a read-only directory.

        * tests/Makefile.am (Multihomed_INET_Addr_Test_SOURCES):

          Removed "Multihomed_INET_Addr_Test.h" from this source file
          list.  That file doesn't exist.  Detected when performing a
          "make distcheck".

          (libService_Config_DLL_la_SOURCES, libTest_Output_la_SOURCES):

          Added missing Service_Config_DLL_Export.h and
          Test_Output_Export.h file to these test's source lists,
          respectively.  Addresses problem revealed by a "distcheck".

          (lib_LTLIBRARIES)

          Added missing Framework_Component_DLL library to the list of
          libraries to build.

Wed Jan 21 13:37:20 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/msvc_mpc_auto_compile.pl:

          Added gperf to the list of workspaces that needs compilation
          upfront as part of core.

Wed Jan 21 13:38:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:

          glibc version 2.3 defines the method isastream, so from this
          glibc version don't do this anymore in the ACE library by
          setting then the define ACE_HAS_ISASTREAM_PROTO. On RH9 defining
          the isastream method within ACE caused errors because there this
          method has an exception specification. This only appeared when
          other libraries are used which include stropts.h themselves.
          Also on SuSE 9 with glibc v2.3 I see that isastream has an
          exception specification. This fixed [BUGID 1613].  Thanks to
          Jeffrey Graham <jgraham@titan.com> and Akim Boyko
          <akim@sitech.com.ua> for reporting this.

Wed Jan 21 12:58:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
          Removed the setting of MWMO_ALERTABLE when using MinGW. This is
          set already by MinGW a long time.

        * ace/config-win32-common.h:
        * ace/config-win32-mingw.h:
        * ace/OS_NS_dirent.cpp:
        * ace/OS_NS_dirent.inl:
        * ace/README:
          MinGW delivers a dirent.h which has opendir, closedir, readdir,
          etc. Because in the OS_NS_dirent files always on win32 is assumed
          that we haven't these methods, introduces ACE_LACKS_OPENDIR,
          ACE_LACKS_CLOSEDIR and ACE_LACKS_READDIR. These defines are set
          in config-win32-common and undef'd in config-win32-mingw.h.
          So, on MinGW we use the normal opendir/closedir/readdir, the other
          environmens in win32 use the corresponding emulation methods. This
          fixes [BUGID 1718]. Thanks to Matthew Grosso <mgrosso@acm.org>
          for reporting this and supplying the patches.

Tue Jan 20 19:58:03 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac:

          Replaced all uses of the "changequote" M4 built-in with proper
          quoting.  Use of "changequote" is very discouraged by autoconf
          developers since it is often a source of M4 programming
          problems.

          (ACE_VERSION, AC_INIT):

          Statically determine the version of ACE using M4 built-ins at
          autoconf-time, instead of dynamically setting the ACE version in
          a shell variable at configure-time.  This allows the package
          version to be set in the autoconf AC_INIT call since AC_INIT
          expects a static value.

          Replaced "TEST-VERSION" version value passed to AC_INIT call
          with new ACE_VERSION macro.  This allows the correct package
          version, e.g. "5.4" instead of "TEST-VERSION", to be propagated
          to a number of places within the configure script itself, and
          Makefile.in templates generated by Automake.  For example,
          "configure --help" and "configure --version" now display the
          correct version of ACE.

          (ACE_CURRENT, ACE_AGE, ACE_REVISION):

          Removed all kludges that worked around libtool's versioning
          scheme.  Libtool 1.5 or better now provides a means to set a
          package defined library version.  Thanks to Robert Schiele
          <robert.schiele@t-online.de> pointing out the new libtool
          feature.

        * bin/bootstrap:

          Cleaned up obsolete comments and commented code.

          Force auxiliary files to be copied to prevent older versions
          from being used with newer versions autotools that expect newer
          versions of the auxiliary files.

          Clarified some progress messages so that it is obvious that
          bootstrapping corresponds to ACE autotool support.

        * m4/ace.m4:
        * m4/acinclude.m4:
        * m4/compiler.m4:
        * m4/platform.m4:

          Replaced all uses of the "changequote" M4 built-in with proper
          quoting.  Use of "changequote" is very discouraged by autoconf
          developers since it is often a source of M4 programming
          problems.

        * ace/Makefile.am (libACE_la_LDFLAGS):

          Use new libtool 1.5 "-version-number" option instead of
          "-version-info" to override libtool's versioning scheme with
          ACE's versioning scheme.  Thanks to Robert Schiele
          <robert.schiele@t-online.de> pointing out the new libtool
          feature.

        * ace/RMCast/Makefile.am (libACE_RMCast_la_LDFLAGS):
        * ace/SSL/Makefile.am (libACE_SSL_la_LDFLAGS):

          Set ACE_RMCast and ACE_SSL library versions to ACE library
          version, instead of not setting at all (defaulting to 0.0.0).
          This is consistent with our stock/classical ACE build
          Makefiles.

Tue Jan 20 16:57:54 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Active_Map_Manager.i:
        * ace/CDR_Stream.i:

          Fixed warnings in VC71 builds. Thanks to Grutzmacher
          Lukas<gruetzmacher@ais-dresden.de> for reporting the problem and
          providing patches.

Tue Jan 20 15:37:18 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/msvc_mpc_auto_compile.pl:

          Fixed some typos in the comments.

Mon Jan 19 18:49:50 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/msvc_mpc_auto_compile.pl:

          This is a new auto_compile script for MSVC with MPC. This just
          build DLL's for both debug and release versions. The old file
          msvc_auto_compile.pl is age old and suffers from severe brain
          hemorrage which is hard to rectify with simple band aids and
          stuff. The old file simply needs to go. This new script will be
          used completely for DLL builds after testing in our daily
          builds.

Tue Jan 20 14:11:48 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Added support for file grouping in these templates.  If source
          files are grouped in the mpc file, they will show up grouped in
          the graphical interfaces for these project types.

Tue Jan 20 12:20:35 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:

          Fixed a bug where the all target wouldn't be generated if the
          platform is capable of shared libraries but the user only wants
          static libraries.

        * bin/MakeProjectCreator/templates/makedll.mpt:

          Rearranged some of the VxWorks related settings.

Tue Jan 20 18:02:19 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Made some small corrections.

Tue Jan 20 17:05:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/compiler.bor:
          When using BCB6 and release builds we get errors about __strcmp__ is
          undefined. This is caused by the optimizer of BCB6 which generates
          code for common functions like strcpy() within the calling function's
          scope. The compiler flag is -Oi and this is set when the complete -O2
          optimization options is passed. So, with BCB6 in release builds,
          we don't set -O2, but set all specific optimization flags but just not
          -Oi. This is the only way I could fix this.

Tue Jan 20 16:00:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added support for the Cygwin 1.5.6-1 version

Mon Jan 19 13:31:46 2004  Steve Huston  <shuston@riverace.com>

        * Makefile: In AUTOCONF_RELEASE_FILES, changed aux to aux_config to
          match: Fri Jan 16 12:29:48 2004  Ossama Othman.

Mon Jan 19 17:27:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release:
          Dfm files shouldn't get LF->CRLF conversions. Thanks to
          Martin Kaul <mkaul@leuze.de> for reporting this.

Mon Jan 19 10:46:51 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GUID.pm:

          Mask the 4 byte portions of the GUID with 0xffffffff to avoid
          problems with 64-bit versions of Cygwin Perl.  Thanks to Cristian
          Ferretti <cristian_ferretti@yahoo.com> for reporting this and
          providing a fix.

Mon Jan 19 10:22:05 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/makedll.mpt:

          Added support for VxWorks 5.5 PPC and PENTIUM.

Mon Jan 19 15:59:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Tests.bor:
          Added missing FIFO_Test. Thanks to Peter Bekiesch
          <peter.bekiesch@dtmgmbh.de>for reporting this.

Mon Jan 19 08:07:02 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where files added to the Template_Files section were
          not removed from the Source_Files section due to differences in
          slashes to backslashes.

Mon Jan 19 07:24:16 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Misc/test_XtReactor1.cpp:
        * examples/Misc/test_XtReactor2.cpp:

          Removed #define for String (added back in '96).  The workaround is
          apparently no longer needed.  Also fixed some build errors and
          warnings.

Mon Jan 19 10:00:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_auto_compile.pl:
          Fixed typo in file path

Sun Jan 18 15:32:59 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ACE-INSTALL.html:

          Added patches from Viktor Ransmayr<viktor.ransmayr@t-online.de>
          for a documentation patch, which describes how to build ACE
          using only the MinGW and MSYS package.

Sun Jan 18 10:27:11 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/Server_Concurrency/Leader_Follower/RT_CORBA_Leader_Follower.cpp:

          Used ACE_UINT64_DBLCAST_ADAPTER  instead of direct casting to a
          double to be more portable.

Sun Jan 18 10:13:16 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Logging/LogManager.h:
        * Logging/Use_Multiple_Sinks.cpp:
        * Logging/Use_Ostream.cpp:
        * Naming/Name_Binding.h:

          #included fstream conditionally on VC6. This should fix the
          remaining compile errors on VC6 with MPC builds.

Sun Jan 18 09:48:03 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/TMCast/member.cpp:

          Fixed a compilation errors with VC6 which stemmed due to the
          fact that a unsigned long long was used. We use ACE_UINT64
          instead.

Sun Jan 18 09:40:04 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/SOCK_Send_Recv_Test_IPV6.cpp:
        * tests/SOCK_Test_IPv6.cpp:

          More warnings from unused functions.

Sun Jan 18 09:55:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_auto_compile.pl:
          Added tests/Test_Output.dsp to the list of libs to be build first
          when building statically. Removed the code for the non-MPC static
          build, the projects for this are removed before the 1.4 release.

        * bin/msvc_static_order.lst:
          Added tests/Test_Output.dsp to the list of libs to be build first.

Sun Jan 18 08:52:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/asnmp/ctr64.h:
          Added include of ace/Basic_Types.h to get ACE_UINT64 definition.

Sun Jan 18 08:45:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Tests.bor:
          Fixed this makefile

Sun Jan 18 00:00:07 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Max_Default_Port_Test_IPV6.cpp:
        * tests/SOCK_Send_Recv_Test_IPV6.cpp:
        * tests/SOCK_Test_IPv6.cpp:

          Fixed unused function warnings in the daily builds.

Sat Jan 17 23:52:38 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/SOCK_Dgram_Test.cpp:

          Fixed a compile error in Full_Reactor builds.

Sat Jan 17 19:38:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/INET_Addr_Test_IPV6.cpp:
        * tests/Proactor_Test_IPV6.cpp:
        * tests/SOCK_Send_Recv_Test_IPV6.cpp:

          Fixed incorrect doxygen file tag.

Sat Jan 17 19:35:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv2/AC_CLD_export.h:
        * examples/C++NPv2/AIO_CLD_export.h:
        * examples/C++NPv2/CLD_export.h:
        * examples/C++NPv2/SLD_export.h:
        * examples/C++NPv2/SLDEX_export.h:
        * examples/C++NPv2/TPCLS_export.h:
        * examples/C++NPv2/TPLS_export.h:
          Added check for ACE_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Sat Jan 17 19:19:33 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/asnmp/ASNMP_Export.h:
          Added check for ACE_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

        * ASNMP/asnmp/ctr64.cpp:
        * ASNMP/asnmp/ctr64.h:
          Changed unsigned long long to ACE_UINT64

        * ASNMP/asnmp/address.h:
        * ASNMP/asnmp/octet.h:
        * ASNMP/asnmp/oid.h:
        * ASNMP/asnmp/pdu.h:
        * ASNMP/asnmp/vb.h:
          Added missing ASNMP_Export macro.

          This fixes several build problems on Win32. Thanks to
          Michelangelo Nottoli <m.nottoli@acsys.it> for reporting this
          and supplying the ideas how to fix this.

Sat Jan 17 18:43:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_compile.pl:
        * bin/msvc_static_order.lst:
          When using static projects we cannot use the dependencies between
          different libraries. Therefor we have to explicitly define the
          build order. The existing msvc_auto_compile.pl script was getting
          to complex, so added a new msvc_static_compile.pl script that will
          be used for building statically. In the msvc_static_order.lst the
          order of building can be specified.

Sat Jan 17 09:46:38 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TMCast/Group.cpp:

          Fixed compile errors with VC++ 6.

Sat Jan 17 15:29:01 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/asnmp/asn1.cpp:
          Removed not needed ;

Sat Jan 17 15:05:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/ec_typed_events.mpb:
        * bin/MakeProjectCreator/config/ec_use_typed_events.mpb:
        * bin/MakeProjectCreator/config/event.mpb:
          The fix for the ec_typed_events feature. Thanks to Chad Elliot for
          explaining that MPC inheritance is based on file name. So CosEvent.mpc
          inherits from ec_typed_events in the orbsvcs directory, projects using
          event inherit from event which inherits from ec_use_typed_events
          which then sets the needed compiler flags and adds the needed
          libraries to the linker.

Sat Jan 17 00:56:54 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Proactor_Test_IPV6.cpp
        * tests/SOCK_Send_Recv_Test_IPV6.cpp:
        * tests/SOCK_Test_IPv6.cpp:

          Fixed compilation errors in builds that don't have IPV6 enabled.

Sat Jan 17 00:45:40 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Multihomed_INET_Addr_Test_IPV6.dsp:
        * tests/INET_Addr_Test_IPV6.dsp:
        * tests/Max_Default_Port_Test_IPV6.dsp:
        * tests/Multicast_Test_IPV6.dsp:
        * tests/Proactor_Test_IPV6.dsp:
        * tests/SOCK_Send_Recv_Test_IPV6.dsp:
        * tests/SOCK_Test_IPv6.dsp:

          New dsp files for the tests

        * tests/tests.dsw:

          Workspace file with the mods.

Sat Jan 17 00:12:21 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/run_test.lst:
        * tests/tests.mpc:

          Added missing tests.

Fri Jan 16 23:57:08 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/INET_Addr_Test_IPV6.cpp:
        * tests/Max_Default_Port_Test_IPV6.cpp:
        * tests/Multicast_Test_IPV6.cpp:
        * tests/Multihomed_INET_Addr_Test_IPV6.cpp:
        * tests/Proactor_Test_IPV6.cpp:
        * tests/SOCK_Send_Recv_Test_IPV6.cpp:

          Fixed a typo in the name of the files that are printed out for
          logging and error checking.

Fri Jan 16 23:25:03 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Tests.bor:

          New test to the borland makefiles.

Fri Jan 16 23:21:10 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/run_test.lst:

          Added the new tests to the daily build.

Fri Jan 16 23:19:17 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/tests.mpc:

          Added the new tests to the MPC.

Fri Jan 16 23:01:11 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Multihomed_INET_Addr_Test_IPV6.cpp:
        * tests/Proactor_Test_IPV6.cpp:
        * tests/SOCK_Send_Recv_Test_IPV6.cpp:
        * tests/SOCK_Test_IPv6.cpp:

          More IPV6 tests from Brian Bruesker.

        * tests/Makefile.tests:

          Added these new tests.

Fri Jan 16 21:38:59 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/INET_Addr_Test_IPV6.cpp:
        * tests/Max_Default_Port_Test_IPV6.cpp:
        * tests/Multicast_Test_IPV6.cpp:
        * tests/Multihomed_INET_Addr_Test_IPV6.cpp:

          New test for IPV6. These tests were donated by Brian Bruesker.

        * tests/SOCK_Dgram_Test.cpp:

          Cosmetic fix.

        * tests/Makefile.tests:

          Added the new tests.

Fri Jan 16 18:44:04 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/INET_Addr_Test.cpp:
        * tests/Max_Default_Port_Test.cpp:
        * tests/Multicast_Test.cpp:
        * tests/Multihomed_INET_Addr_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/SOCK_Send_Recv_Test.cpp:
        * tests/SOCK_Test.cpp:

          Reverted changes from "Fri Jan 16 17:25:50 2004  Balachandran
          Natarajan  <bala@dre.vanderbilt.edu>" since the IPV6 needs to be
          placed seperately.

Fri Jan 16 17:25:50 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/INET_Addr_Test.cpp:
        * tests/Max_Default_Port_Test.cpp:
        * tests/Multicast_Test.cpp:
        * tests/Multihomed_INET_Addr_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/SOCK_Send_Recv_Test.cpp:
        * tests/SOCK_Test.cpp:

          Thanks to Brian Bruesker <bbuesker@qualcomm.com>, we now have
          tests for IPV6 features in the above tests

        * tests/SOCK_Dgram_Test.cpp:

          A simple test based on SOCK_Test for Datagrams. Thanks once
          again to Brian Bruesker.

        * tests/Makefile.tests:

          Added the new test.

Fri Jan 16 15:04:17 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/SOCK_Dgram_Bcast.cpp (close): Set the this->if_list_
          field to 0 to let applications close and re-open the socket.
          Without it, a second close will delete already delete'd memory.
          Thanks to Shannon Barber <shannon.barber@myrealbox.com> for
          this fix.

Fri Jan 16 12:29:48 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac (AC_CONFIG_AUX_DIR):

          Changed auxiliary directory filename from "aux" to
          "aux_config".  The former is not an allowed/valid name on
          Windows.  Thanks to Greg Mulyar <greg_mu@yahoo.com> for pointing
          out the problem.

Fri Jan 16 14:19:14 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/tests.mpc:

          Fixed the project names in MPC to be similar to the ones used in
          default distribution. Thanks to Boris Kaminer
          <boris_kaminer@mail.ru> for motivating this fix.

Fri Jan 16 16:09:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/event.mpb:
          Removed ec_typed_events as base. This resulted in problems in
          building other orbsvcs which then use the ec_typed_events.mpb
          which is located in $(TAO_ROOT)/orbsvcs/orbsvcs. This restores
          the situation to the previous situation and in meantime we can
          figure out a better solution.

Fri Jan 16 15:01:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Logging_Strategy_Test.cpp:
          For checking if we are building statically use ACE_AS_STATIC_LIBS and
          not ACE_HAS_STATIC_LIBS. With this fix this tests runs again in the
          BCB6 static build.

Fri Jan 16 11:27:01 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Service_Config_DLL_Export.h:
          Added check for ACE_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Fri Jan 16 11:25:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Svc_Config/HASTATUS_export.h
          Added check for ACE_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Fri Jan 16 09:57:45 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DLL_Test.bor:
        * tests/DLL_Test.cpp:
          Changed this test so that it works in MPC and non-MPC builds.
          We use always the decorator string for the dll name.

Fri Jan 16 08:56:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/ec_typed_events.mpb:
          Added this file. When the feature ec_typed_events is available,
          we must link with the IFRClient and DynamicInterface library.

        * bin/MakeProjectCreator/config/event.mpb:
          Add ec_typed_events as parent project. When ec_typed_events is
          available projects using event should link with the extra needed
          libraries. This fixes the link errors in the BCB6 Static build.

Thu Jan 15 20:54:38 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac:

          Require GNU Autoconf 2.58 or better, not 2.57g or better.
          Version 2.57g was a testing release not a stable release.

          Use more comprehensive (custom) test for detecting shm_open()
          support instead of AC_CHECK_FUNC.  In particular, use
          AC_LINK_IFELSE so that we can detect missing function prototype
          errors.  Addresses a problem on Solaris builds where shm_open()
          support was incorrectly detected as available despite the fact
          POSIX.1b support was not enabled.

          Removed ACE_HAS_MINIMUM_IOSTREAMH_INCLUSION test.  This macro is
          no longer used.

        * ace/os_include/sys/os_resource.h:

          Include <sys/procfs.h> in the ACE_HAS_PROC_FS case.  It is
          necessary to pull in the "prusage_t" typedef.  That typedef is
          used later in this header.  Addresses an ACE+autoconf build
          problem on Solaris.

        * m4/ace.m4:

          Corrected quoting problem that caused "--enable-fast" help
          string to be echoed incorrectly.

        * m4/acinclude.m4:

          Corrected typo in warning message.

        * m4/compiler.m4:

          Updated Sun C++ 5.0 configuration settings to match those in the
          latest platform_sunos5_sunc++.GNU file.

        * m4/config_h.m4 (AH_BOTTOM):

          Added empty line to text appended to generated `config.h' file
          to correct a "non-empty ending line" warning exhibited by Sun
          C++ 5.0.

          (ACE_HAS_MINIMUM_IOSTREAMH_INCLUSION):

          Removed template for this preprocessor macro.  It is no longer
          used.

Thu Jan 15 20:33:09 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/ACE-development-process.html (HREF):

          Added a small writeup about the features of BFO.

Thu Jan 15 19:47:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/avstreams.mpb:
          Avstreams uses the feature qos, so when qos=1 is set in the
          default.features file we use the ACE_QoS library. Projects
          using avstreams should also use this feature, so that they also
          link with ACE_QoS when qos=1. This fixes link errors in the
          BCB6 Static Build.

Thu Jan 15 18:50:42 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ACE_Init_Test.cpp:
          Fixed compile problem in BCB6 Unicode build

Thu Jan 15 18:42:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/portablegroup.mpb:
          PortableGroup uses iormanip, so also projects using portablegroup
          need this. This fixes the compile problems in the BCB6 Static
          build.

Thu Jan 15 18:33:16 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv1/Process_Per_Connection_Logging_Server.cpp:
          Use ACE_OS::strcpy instead of strcpy to fix compile problem in
          BCB6 Static build.

Thu Jan 15 11:12:45 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/ciao_servant.mpb:
        * bin/MakeProjectCreator/config/qt-min_moc.mpb:
        * bin/MakeProjectCreator/config/qt_moc.mpb:

          Removed the command options from the command setting and put them
          into the commandflags settings.

        * bin/MakeProjectCreator/templates/cbx.mpd:

          Added the initial support for custom build types.

        * bin/MakeProjectCreator/templates/em3vcp.mpd:

          Fixed a bug in this template where the !ENDIF for custom build
          types would be missing.

        * bin/MakeProjectCreator/templates/vc6dsp.mpd:

          Added user dependencies for custom build types.

        * bin/MakeProjectCreator/templates/vc7.mpd:

          Fixed the user dependencies for custom build types such that it is
          not hard coded to be the CIAO IDL compiler for all custom build
          types.

Thu Jan 15 16:47:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/rtcorbacommon.mpb:
          The rtcorbacommon library needs portableserver and doesn't build
          when minimum_corba is set

Thu Jan 15 08:02:23 2004  Douglas C. Schmidt  <schmidt@cse.wustl.edu>

        * ace/INET_Addr.cpp (get_port_number_from_name): Changed
          initial value of port_number from 0 to -1.  Thanks to
          Stephen Moon <stephenm@sychron.com> for this fix.

Thu Jan 15 16:06:54 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Export/test_export.h:
        * ace/TMCast/Export.hpp:
          Added check for ACE_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Thu Jan 15 16:03:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Bounded_Packet_Relay/Bounded_Packet_Relay.mpc:
        * examples/Synch/Synch.mpc:
          Added new mpc files for these examples

Thu Jan 15 08:14:08 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:

          Added documentation for keyword mapping which will allow users to
          map custom defined keywords into the project level scope.
          Removed support for the idlpreprocessor keyword.

        * bin/MakeProjectCreator/config/core.mpb:

          Changed core = 1 into a verbatim clause that enbles the removal of
          the core keyword.

        * bin/MakeProjectCreator/config/vcpartialmacros.mpt:

          Removed the ACE specific precompiled headers macro.

        * bin/MakeProjectCreator/modules/AutomakeProjectCreator.pm:

          Propagated change from GNUACEProjectCreator on Wed Jan  7 06:24:54
          2004.

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
          Added support for keyword mapping which will allow users to map
          custom defined keywords into the project level scope.

        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:

          Changed the workspace output to allow a user to make a specific
          target within the workspace.  If the user specified target
          requires other projects, then those projects are built also.

        * bin/MakeProjectCreator/modules/Version.pm:

          Updated the version number of MPC.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Warn about circular dependencies between projects.

        * bin/MakeProjectCreator/templates/bor.mpd:

          Added verbatim markers, removed the use of the core keyword in
          favor of the verbatim used to get the same effect.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Fixed a bug in this template where TAO_ORBSVCS was not being
          handled properly.
          Removed the use of the idlpreprocessor keyword in favor of the
          verbatim used to get the same effect.
